# common make file for the APG library
#
.SUFFIXES:
.SUFFIXES: .c .cpp .o
#
SHELL  = /bin/sh
SRCDIR = .
PUBDIR = ../public
OBJDIR = $(SRCDIR)/$(OBJNAME)
LIB    = $(PUBDIR)/$(LIBNAME)
PUBHDR = $(PUBDIR)/Apg.h
SRCHDR = $(SRCDIR)/Apg.h
OBJS   = $(OBJDIR)/Tools.o \
         $(OBJDIR)/Alert.o \
         $(OBJDIR)/Catalog.o \
         $(OBJDIR)/Err.o \
         $(OBJDIR)/Errors.o \
         $(OBJDIR)/Memory.o \
         $(OBJDIR)/Nodes.o \
         $(OBJDIR)/Operators.o \
         $(OBJDIR)/OperatorsPPT.o \
         $(OBJDIR)/Parser.o \
         $(OBJDIR)/Vector.o
#
# build all
all : $(PUBDIR) $(OBJDIR) $(OBJS) $(PUBHDR)
#
# create the directories, if neccessary
$(PUBDIR) :
	mkdir $(PUBDIR)
#
$(OBJDIR) :
	mkdir $(OBJDIR)
	chmod 755 $(OBJDIR)
#
# implicit rules
$(OBJDIR)/%.o: $(SRCDIR)/%.c $(SRCHDR)
	$(CC) -c $(<) -o $(@)
	ar -r $(LIB) $(@)
#
# the public copy of the library header file
$(PUBHDR) : $(SRCHDR)
	cp $(<) $(@)
#
#clean  
.PHONY : clean
clean :
	rm $(OBJDIR)/*
	rm $(LIB)
	rm $(PUBHDR)
