/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  
	 created: Sat Nov 24 14:09:33 2007
	filename: PPTParser.h
	  author: Lowell Thomas
	          lowell@coasttocoastresearch.com
	          http://www.coasttocoastresearch.com

	 purpose: Header file for parser PPTParser.

*********************************************************************/
#ifndef PPTParser_h
#define PPTParser_h

//{{header.pre
//}}header.pre

// rule name IDs
#define RULE_PPTPARSER_FILE 0
#define RULE_PPTPARSER_RULE 1
#define RULE_PPTPARSER_RULEERROR 2
#define RULE_PPTPARSER_ALTERNATION 3
#define RULE_PPTPARSER_CONCATENATION 4
#define RULE_PPTPARSER_REPETITION 5
#define RULE_PPTPARSER_REP 6
#define RULE_PPTPARSER_REPEAT 7
#define RULE_PPTPARSER_NOREP 8
#define RULE_PPTPARSER_PREDICATE 9
#define RULE_PPTPARSER_DMIN 10
#define RULE_PPTPARSER_DMAX 11
#define RULE_PPTPARSER_MAX_REPS 12
#define RULE_PPTPARSER_ELEMENT 13
#define RULE_PPTPARSER_GROUP 14
#define RULE_PPTPARSER_OPTION 15
#define RULE_PPTPARSER_TOK_LINEEND 16
#define RULE_PPTPARSER_TOK_NUM 17
#define RULE_PPTPARSER_TOK_NAMEDEF 18
#define RULE_PPTPARSER_TOK_DEF 19
#define RULE_PPTPARSER_TOK_DEFALT 20
#define RULE_PPTPARSER_TOK_LPAREN 21
#define RULE_PPTPARSER_TOK_RPAREN 22
#define RULE_PPTPARSER_TOK_LOPTION 23
#define RULE_PPTPARSER_TOK_ROPTION 24
#define RULE_PPTPARSER_TOK_RNM 25
#define RULE_PPTPARSER_TOK_ALT 26
#define RULE_PPTPARSER_TOK_CAT 27
#define RULE_PPTPARSER_TOK_REP 28
#define RULE_PPTPARSER_TOK_AND 29
#define RULE_PPTPARSER_TOK_NOT 30
#define RULE_PPTPARSER_TOK_TRG 31
#define RULE_PPTPARSER_TOK_TBS 32
#define RULE_PPTPARSER_TOK_TLS 33

extern void* vpPPTParserInit;

//{{header.post
//}}header.post

#endif // PPTParser_h
