# common make file for the APG library
#
.SUFFIXES:
.SUFFIXES: .c .cpp .o
#
SHELL  = /bin/sh
SRCDIR = .
PUBDIR = ../../public
OBJDIR = $(SRCDIR)/$(OBJNAME)
SRCHDRS= $(SRCDIR)/IPv6.h $(SRCDIR)/IPv6Data.h $(SRCDIR)/main.h
CFLAGS = -I$(PUBDIR)
LFLAGS = -L$(PUBDIR)
EXE    = $(EXENAME)
OBJS   = $(OBJDIR)/main.o \
         $(OBJDIR)/Accuracy.o \
         $(OBJDIR)/IPv6LookAhead.o \
         $(OBJDIR)/IPv6LookAheadPPT.o \
         $(OBJDIR)/IPv6SyntaxOnly.o \
         $(OBJDIR)/IPv6SyntaxOnlyPPT.o \
         $(OBJDIR)/LookAhead.o \
         $(OBJDIR)/ReadAddresses.o \
         $(OBJDIR)/Simple.o \
         $(OBJDIR)/Timing.o
#
# build all
all : $(OBJDIR) $(OBJS) $(EXENAME)
#
# create the directories, if neccessary
$(OBJDIR) :
	mkdir $(OBJDIR)
	chmod 755 $(OBJDIR)
#
$(EXE) : $(OBJS)
	$(CC) -o $(EXE) $(OBJS) $(LFLAGS) -l$(LIBNAME) -l$(UTILNAME)
#
# implicit rules
$(OBJDIR)/%.o: $(SRCDIR)/%.c $(SRCHDRS)
	$(CC) -c $(CFLAGS) $(<) -o $(@)
#
#clean  
.PHONY : clean
clean :
	rm $(OBJDIR)/*
	rm $(EXE)
