/********************************************************************
      created:	6/25/2007   18:23
     filename: 	D:\Projects\Apgv5_0\Samples\IPv6\IPv6.h
    Copyright:  (c) 2007 Coast to Coast Research, Inc. All rights reserved.
       author:	Lowell Thomas
                lowell@coasttocoastresearch.com
                http://www.coasttocoastresearch.com

      purpose:	Header for IPv6 facility.
      NOTE: In order to avoid any question of "endianness", the IPv4
            and IPv6 binary values are stored as an arrays of octets,
            with the highest-order octet first. Therefore, for an IPv4
            address the highest-order octet is at array[0] and the\
            lowest- order octet at array[15]. For an IPv6 address
            with an IPv4 in the text representation, the highest-
            order IPv4 octet is at array[12].

*********************************************************************/
#ifndef IPv6_h_6_25_2007
#define IPv6_h_6_25_2007

#define IPV6_COMPRESS 0xFFFFFFFF
#define IPV6_MAXLEN   45
#define IPV4_MAXLEN   15
#define IPV6_SHORTS   8
#define IPV6_OCTETS   16
#define IPV4_OCTETS   4
#undef  COLON
#undef  PERIOD
#undef  SLASH
#define COLON     ':'
#define PERIOD    '.'
#define SLASH     '/'

// each returns true if conversion was successful
ulong ulIPv4StringToBinary(APG_BSTR* spString, uchar* ucpAddress, ulong* ulpIsMulticast);
ulong ulIPv4BinaryToString(uchar* ucpAddress, char* cpString);
ulong ulIPv6StringToBinary(APG_BSTR* spString, ushort* uspAddress, ulong* ulpIsMulticast);
ulong ulIPv6BinaryToString(ushort* uspAddress, char* cpString);
ulong ulIPv6BinaryToIPv4Form(ushort* uspAddress, char* cpString);
ulong ulExpand(ulong* ulpDigits, ulong ulCount);
ulong ulMaskPrefix(ushort* uspSections, ulong ulPrefixLength);
ulong ulConvertHexString(char* cpInt, ulong ulLen, ulong* ulpValue);
ulong ulConvertToNormalForm(ulong* ulpIPv6, ulong ulCount, ulong ulComp, ulong ulPerLen, uchar* ucpIPv4, ushort* uspIPv6Address);

#endif /* IPv6_h_6_25_2007 */
