/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  
	 created: Thu Nov 22 11:06:49 2007
	filename: IPv6LookAhead.h
	  author: Lowell Thomas
	          lowell@coasttocoastresearch.com
	          http://www.coasttocoastresearch.com

	 purpose: Header file for parser IPv6LookAhead.

*********************************************************************/
#ifndef IPv6LookAhead_h
#define IPv6LookAhead_h

//{{header.pre
//}}header.pre

// rule name IDs
#define RULE_IPV6LOOKAHEAD_IPV6ADDRESS 0
#define RULE_IPV6LOOKAHEAD_IPV6UNICAST 1
#define RULE_IPV6LOOKAHEAD_FORMIPV4 2
#define RULE_IPV6LOOKAHEAD_COMPRESSED4 3
#define RULE_IPV6LOOKAHEAD_FIRST4 4
#define RULE_IPV6LOOKAHEAD_LAST4 5
#define RULE_IPV6LOOKAHEAD_MIDDLE41 6
#define RULE_IPV6LOOKAHEAD_MIDDLE42 7
#define RULE_IPV6LOOKAHEAD_MIDDLE43 8
#define RULE_IPV6LOOKAHEAD_MIDDLE44 9
#define RULE_IPV6LOOKAHEAD_FULL4 10
#define RULE_IPV6LOOKAHEAD_FORMIPV6 11
#define RULE_IPV6LOOKAHEAD_COMPRESSED6 12
#define RULE_IPV6LOOKAHEAD_FIRST6 13
#define RULE_IPV6LOOKAHEAD_LAST6 14
#define RULE_IPV6LOOKAHEAD_MIDDLE61 15
#define RULE_IPV6LOOKAHEAD_MIDDLE62 16
#define RULE_IPV6LOOKAHEAD_MIDDLE63 17
#define RULE_IPV6LOOKAHEAD_MIDDLE64 18
#define RULE_IPV6LOOKAHEAD_MIDDLE65 19
#define RULE_IPV6LOOKAHEAD_MIDDLE66 20
#define RULE_IPV6LOOKAHEAD_FULL6 21
#define RULE_IPV6LOOKAHEAD_IPV6MULTICAST 22
#define RULE_IPV6LOOKAHEAD_FORMMIPV4 23
#define RULE_IPV6LOOKAHEAD_COMPRESSEDM4 24
#define RULE_IPV6LOOKAHEAD_FULLM4 25
#define RULE_IPV6LOOKAHEAD_FORMMIPV6 26
#define RULE_IPV6LOOKAHEAD_COMPRESSEDM6 27
#define RULE_IPV6LOOKAHEAD_FULLM6 28
#define RULE_IPV6LOOKAHEAD_IPV4ADDRESS 29
#define RULE_IPV6LOOKAHEAD_PREFIXLENGTH 30
#define RULE_IPV6LOOKAHEAD_HEX4 31
#define RULE_IPV6LOOKAHEAD_COMP 32
#define RULE_IPV6LOOKAHEAD_HEXC 33
#define RULE_IPV6LOOKAHEAD_CHEX 34
#define RULE_IPV6LOOKAHEAD_MULTIDIG 35
#define RULE_IPV6LOOKAHEAD_DIGIT7 36
#define RULE_IPV6LOOKAHEAD_POS_DIGIT 37
#define RULE_IPV6LOOKAHEAD_INT255 38
#define RULE_IPV6LOOKAHEAD_DIGIT 39
#define RULE_IPV6LOOKAHEAD_HEXDIG 40

extern void* vpIPv6LookAheadInit;

//{{header.post
//}}header.post

#endif // IPv6LookAhead_h
