/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  
	 created: Wed Nov 21 09:07:24 2007
	filename: MEGACOPPT.h
	  author: Lowell Thomas
	          lowell@coasttocoastresearch.com
	          http://www.coasttocoastresearch.com

	 purpose: Header file for parser MEGACOPPT.

*********************************************************************/
#ifndef MEGACOPPT_h
#define MEGACOPPT_h

//{{header.pre
//}}header.pre

// rule name IDs
#define RULE_MEGACOPPT_MEGACOMESSAGE 0
#define RULE_MEGACOPPT_AUTHENTICATIONHEADER 1
#define RULE_MEGACOPPT_SECURITYPARMINDEX 2
#define RULE_MEGACOPPT_SEQUENCENUM 3
#define RULE_MEGACOPPT_AUTHDATA 4
#define RULE_MEGACOPPT_MESSAGE 5
#define RULE_MEGACOPPT_MESSAGEBODY 6
#define RULE_MEGACOPPT_TRANSACTIONLIST 7
#define RULE_MEGACOPPT_TRANSACTIONREQUEST 8
#define RULE_MEGACOPPT_TRANSACTIONREPLY 9
#define RULE_MEGACOPPT_TRANSACTIONPENDING 10
#define RULE_MEGACOPPT_TRANSACTIONRESPONSEACK 11
#define RULE_MEGACOPPT_SEGMENTREPLY 12
#define RULE_MEGACOPPT_TRANSACTIONACK 13
#define RULE_MEGACOPPT_ACTIONREQUEST 14
#define RULE_MEGACOPPT_CONTEXTREQUEST 15
#define RULE_MEGACOPPT_CONTEXTPROPERTIES 16
#define RULE_MEGACOPPT_CONTEXTPROPERTY 17
#define RULE_MEGACOPPT_CONTEXTAUDIT 18
#define RULE_MEGACOPPT_CONTEXTAUDITPROPERTIES 19
#define RULE_MEGACOPPT_CONTEXTAUDITSELECTOR 20
#define RULE_MEGACOPPT_AUDITSELECTLOGIC 21
#define RULE_MEGACOPPT_INDAUDCONTEXTATTRDESCRIPTOR 22
#define RULE_MEGACOPPT_COMMANDREQUESTLIST 23
#define RULE_MEGACOPPT_COMMANDREQUEST 24
#define RULE_MEGACOPPT_SEGMENTNUMBER 25
#define RULE_MEGACOPPT_ACTIONREPLYLIST 26
#define RULE_MEGACOPPT_ACTIONREPLY 27
#define RULE_MEGACOPPT_COMMANDREPLY 28
#define RULE_MEGACOPPT_COMMANDREPLYLIST 29
#define RULE_MEGACOPPT_COMMANDREPLYS 30
#define RULE_MEGACOPPT_AMMREQUEST 31
#define RULE_MEGACOPPT_AMMPARAMETER 32
#define RULE_MEGACOPPT_AMMSREPLY 33
#define RULE_MEGACOPPT_SUBTRACTREQUEST 34
#define RULE_MEGACOPPT_AUDITREQUEST 35
#define RULE_MEGACOPPT_AUDITREPLY 36
#define RULE_MEGACOPPT_AUDITOTHER 37
#define RULE_MEGACOPPT_TERMINATIONAUDIT 38
#define RULE_MEGACOPPT_CONTEXTTERMINATIONAUDIT 39
#define RULE_MEGACOPPT_AUDITRETURNPARAMETER 40
#define RULE_MEGACOPPT_AUDITRETURNITEM 41
#define RULE_MEGACOPPT_AUDITDESCRIPTOR 42
#define RULE_MEGACOPPT_NOTIFYREQUEST 43
#define RULE_MEGACOPPT_NOTIFYREPLY 44
#define RULE_MEGACOPPT_SERVICECHANGEREQUEST 45
#define RULE_MEGACOPPT_SERVICECHANGEREPLY 46
#define RULE_MEGACOPPT_ERRORDESCRIPTOR 47
#define RULE_MEGACOPPT_ERRORCODE 48
#define RULE_MEGACOPPT_TRANSACTIONID 49
#define RULE_MEGACOPPT_MID 50
#define RULE_MEGACOPPT_DOMAINNAME 51
#define RULE_MEGACOPPT_DEVICENAME 52
#define RULE_MEGACOPPT_CONTEXTID 53
#define RULE_MEGACOPPT_DOMAINADDRESS 54
#define RULE_MEGACOPPT_IPV6ADDRESS 55
#define RULE_MEGACOPPT_IPV4ADDRESS 56
#define RULE_MEGACOPPT_V4HEX 57
#define RULE_MEGACOPPT_HEXPART 58
#define RULE_MEGACOPPT_HEXSEQ 59
#define RULE_MEGACOPPT_HEX4 60
#define RULE_MEGACOPPT_PORTNUMBER 61
#define RULE_MEGACOPPT_MTPADDRESS 62
#define RULE_MEGACOPPT_TERMIDLIST 63
#define RULE_MEGACOPPT_TERMINATIONIDLIST 64
#define RULE_MEGACOPPT_PATHNAME 65
#define RULE_MEGACOPPT_PATHDOMAINNAME 66
#define RULE_MEGACOPPT_TERMINATIONID 67
#define RULE_MEGACOPPT_MEDIADESCRIPTOR 68
#define RULE_MEGACOPPT_MEDIAPARM 69
#define RULE_MEGACOPPT_STREAMPARM 70
#define RULE_MEGACOPPT_STREAMDESCRIPTOR 71
#define RULE_MEGACOPPT_LOCALCONTROLDESCRIPTOR 72
#define RULE_MEGACOPPT_LOCALPARM 73
#define RULE_MEGACOPPT_RESERVEDVALUEMODE 74
#define RULE_MEGACOPPT_RESERVEDGROUPMODE 75
#define RULE_MEGACOPPT_STREAMMODE 76
#define RULE_MEGACOPPT_STREAMMODES 77
#define RULE_MEGACOPPT_PROPERTYPARM 78
#define RULE_MEGACOPPT_PARMVALUE 79
#define RULE_MEGACOPPT_ALTERNATIVEVALUE 80
#define RULE_MEGACOPPT_INEQUAL 81
#define RULE_MEGACOPPT_LSBRKT 82
#define RULE_MEGACOPPT_RSBRKT 83
#define RULE_MEGACOPPT_LOCALDESCRIPTOR 84
#define RULE_MEGACOPPT_REMOTEDESCRIPTOR 85
#define RULE_MEGACOPPT_EVENTBUFFERDESCRIPTOR 86
#define RULE_MEGACOPPT_EVENTSPEC 87
#define RULE_MEGACOPPT_EVENTSPECPARAMETER 88
#define RULE_MEGACOPPT_EVENTBUFFERCONTROL 89
#define RULE_MEGACOPPT_EVENTBUFFERCONTROLVALUE 90
#define RULE_MEGACOPPT_TERMINATIONSTATEDESCRIPTOR 91
#define RULE_MEGACOPPT_TERMINATIONSTATEPARM 92
#define RULE_MEGACOPPT_SERVICESTATES 93
#define RULE_MEGACOPPT_SERVICESTATESVALUE 94
#define RULE_MEGACOPPT_MUXDESCRIPTOR 95
#define RULE_MEGACOPPT_MUXTYPE 96
#define RULE_MEGACOPPT_STREAMID 97
#define RULE_MEGACOPPT_PKGDNAME 98
#define RULE_MEGACOPPT_PACKAGENAME 99
#define RULE_MEGACOPPT_ITEMID 100
#define RULE_MEGACOPPT_EVENTSDESCRIPTOR 101
#define RULE_MEGACOPPT_REQUESTEDEVENT 102
#define RULE_MEGACOPPT_NOTIFYREGULATED 103
#define RULE_MEGACOPPT_NOTIFYBEHAVIOUR 104
#define RULE_MEGACOPPT_EVENTPARAMETER 105
#define RULE_MEGACOPPT_EMBEDWITHSIG 106
#define RULE_MEGACOPPT_EMBEDNOSIG 107
#define RULE_MEGACOPPT_EMBEDFIRST 108
#define RULE_MEGACOPPT_SECONDREQUESTEDEVENT 109
#define RULE_MEGACOPPT_SECONDEVENTPARAMETER 110
#define RULE_MEGACOPPT_EMBEDSIG 111
#define RULE_MEGACOPPT_EVENTSTREAM 112
#define RULE_MEGACOPPT_EVENTOTHER 113
#define RULE_MEGACOPPT_EVENTPARAMETERNAME 114
#define RULE_MEGACOPPT_EVENTDM 115
#define RULE_MEGACOPPT_SIGNALSDESCRIPTOR 116
#define RULE_MEGACOPPT_SIGNALPARM 117
#define RULE_MEGACOPPT_SIGNALREQUEST 118
#define RULE_MEGACOPPT_SIGNALLIST 119
#define RULE_MEGACOPPT_SIGNALLISTID 120
#define RULE_MEGACOPPT_SIGNALLISTPARM 121
#define RULE_MEGACOPPT_SIGNALNAME 122
#define RULE_MEGACOPPT_SIGPARAMETER 123
#define RULE_MEGACOPPT_SIGSTREAM 124
#define RULE_MEGACOPPT_SIGOTHER 125
#define RULE_MEGACOPPT_SIGPARAMETERNAME 126
#define RULE_MEGACOPPT_SIGSIGNALTYPE 127
#define RULE_MEGACOPPT_SIGNALTYPE 128
#define RULE_MEGACOPPT_SIGDURATION 129
#define RULE_MEGACOPPT_SIGDIRECTION 130
#define RULE_MEGACOPPT_DIRECTION 131
#define RULE_MEGACOPPT_SIGREQUESTID 132
#define RULE_MEGACOPPT_SIGINTSIGDELAY 133
#define RULE_MEGACOPPT_NOTIFYCOMPLETION 134
#define RULE_MEGACOPPT_NOTIFICATIONREASON 135
#define RULE_MEGACOPPT_OBSERVEDEVENTSDESCRIPTOR 136
#define RULE_MEGACOPPT_OBSERVEDEVENT 137
#define RULE_MEGACOPPT_OBSERVEDEVENTPARAMETER 138
#define RULE_MEGACOPPT_REQUESTID 139
#define RULE_MEGACOPPT_MODEMDESCRIPTOR 140
#define RULE_MEGACOPPT_MODEMTYPE 141
#define RULE_MEGACOPPT_DIGITMAPDESCRIPTOR 142
#define RULE_MEGACOPPT_DIGITMAPNAME 143
#define RULE_MEGACOPPT_DIGITMAPVALUE 144
#define RULE_MEGACOPPT_TIMER 145
#define RULE_MEGACOPPT_DIGITMAP 146
#define RULE_MEGACOPPT_DIGITSTRINGLIST 147
#define RULE_MEGACOPPT_DIGITSTRING 148
#define RULE_MEGACOPPT_DIGITSTRINGELEMENT 149
#define RULE_MEGACOPPT_DIGITPOSITION 150
#define RULE_MEGACOPPT_DIGITMAPRANGE 151
#define RULE_MEGACOPPT_DIGITLETTER 152
#define RULE_MEGACOPPT_DIGITMAPLETTER 153
#define RULE_MEGACOPPT_AUDITITEM 154
#define RULE_MEGACOPPT_INDAUDTERMINATIONAUDIT 155
#define RULE_MEGACOPPT_INDAUDAUDITRETURNPARAMETER 156
#define RULE_MEGACOPPT_INDAUDMEDIADESCRIPTOR 157
#define RULE_MEGACOPPT_INDAUDMEDIAPARM 158
#define RULE_MEGACOPPT_INDAUDSTREAMPARM 159
#define RULE_MEGACOPPT_INDAUDREMOTEDESCRIPTOR 160
#define RULE_MEGACOPPT_INDAUDLOCALDESCRIPTOR 161
#define RULE_MEGACOPPT_INDAUDSTREAMDESCRIPTOR 162
#define RULE_MEGACOPPT_INDAUDLOCALCONTROLDESCRIPTOR 163
#define RULE_MEGACOPPT_INDAUDLOCALPARM 164
#define RULE_MEGACOPPT_INDAUDTERMINATIONSTATEDESCRIPTOR 165
#define RULE_MEGACOPPT_INDAUDTERMINATIONSTATEPARM 166
#define RULE_MEGACOPPT_INDAUDEVENTBUFFERDESCRIPTOR 167
#define RULE_MEGACOPPT_INDAUDEVENTSPEC 168
#define RULE_MEGACOPPT_INDAUDEVENTSPECPARAMETER 169
#define RULE_MEGACOPPT_INDAUDEVENTSDESCRIPTOR 170
#define RULE_MEGACOPPT_INDAUDREQUESTEDEVENT 171
#define RULE_MEGACOPPT_INDAUDSIGNALSDESCRIPTOR 172
#define RULE_MEGACOPPT_INDAUDSIGNALPARM 173
#define RULE_MEGACOPPT_INDAUDSIGNALREQUEST 174
#define RULE_MEGACOPPT_INDAUDSIGNALREQUESTPARM 175
#define RULE_MEGACOPPT_INDAUDSIGNALLIST 176
#define RULE_MEGACOPPT_INDAUDSIGNALLISTPARM 177
#define RULE_MEGACOPPT_INDAUDDIGITMAPDESCRIPTOR 178
#define RULE_MEGACOPPT_INDAUDSTATISTICSDESCRIPTOR 179
#define RULE_MEGACOPPT_INDAUDPACKAGESDESCRIPTOR 180
#define RULE_MEGACOPPT_SERVICECHANGEDESCRIPTOR 181
#define RULE_MEGACOPPT_SERVICECHANGEPARM 182
#define RULE_MEGACOPPT_SERVICECHANGEREPLYDESCRIPTOR 183
#define RULE_MEGACOPPT_SERVCHGREPLYPARM 184
#define RULE_MEGACOPPT_SERVICECHANGEMETHOD 185
#define RULE_MEGACOPPT_SERVICECHANGEREASON 186
#define RULE_MEGACOPPT_SERVICECHANGEDELAY 187
#define RULE_MEGACOPPT_SERVICECHANGEADDRESS 188
#define RULE_MEGACOPPT_SERVICECHANGEMGCID 189
#define RULE_MEGACOPPT_SERVICECHANGEPROFILE 190
#define RULE_MEGACOPPT_SERVICECHANGEVERSION 191
#define RULE_MEGACOPPT_EXTENSION 192
#define RULE_MEGACOPPT_PACKAGESDESCRIPTOR 193
#define RULE_MEGACOPPT_VERSION 194
#define RULE_MEGACOPPT_PACKAGESITEM 195
#define RULE_MEGACOPPT_TIMESTAMP 196
#define RULE_MEGACOPPT_DATE 197
#define RULE_MEGACOPPT_TIME 198
#define RULE_MEGACOPPT_STATISTICSDESCRIPTOR 199
#define RULE_MEGACOPPT_STATISTICSPARAMETER 200
#define RULE_MEGACOPPT_TOPOLOGYDESCRIPTOR 201
#define RULE_MEGACOPPT_TOPOLOGYTRIPLE 202
#define RULE_MEGACOPPT_TERMINATIONA 203
#define RULE_MEGACOPPT_TERMINATIONB 204
#define RULE_MEGACOPPT_TOPOLOGYDIRECTION 205
#define RULE_MEGACOPPT_PRIORITY 206
#define RULE_MEGACOPPT_IEPSVALUE 207
#define RULE_MEGACOPPT_EMERGENCYVALUE 208
#define RULE_MEGACOPPT_CONTEXTATTRDESCRIPTOR 209
#define RULE_MEGACOPPT_CONTEXTIDLIST 210
#define RULE_MEGACOPPT_EXTENSIONPARAMETER 211
#define RULE_MEGACOPPT_OCTETSTRING 212
#define RULE_MEGACOPPT_NONESCAPECHAR 213
#define RULE_MEGACOPPT_QUOTEDSTRING 214
#define RULE_MEGACOPPT_UINT16 215
#define RULE_MEGACOPPT_UINT32 216
#define RULE_MEGACOPPT_NAME 217
#define RULE_MEGACOPPT_VALUE 218
#define RULE_MEGACOPPT_SAFECHAR 219
#define RULE_MEGACOPPT_EQUAL 220
#define RULE_MEGACOPPT_COLON 221
#define RULE_MEGACOPPT_LBRKT 222
#define RULE_MEGACOPPT_RBRKT 223
#define RULE_MEGACOPPT_COMMA 224
#define RULE_MEGACOPPT_DOT 225
#define RULE_MEGACOPPT_SLASH 226
#define RULE_MEGACOPPT_ALPHA 227
#define RULE_MEGACOPPT_DIGIT 228
#define RULE_MEGACOPPT_DQUOTE 229
#define RULE_MEGACOPPT_HEXDIG 230
#define RULE_MEGACOPPT_SP 231
#define RULE_MEGACOPPT_HTAB 232
#define RULE_MEGACOPPT_CR 233
#define RULE_MEGACOPPT_LF 234
#define RULE_MEGACOPPT_LWSP 235
#define RULE_MEGACOPPT_EOL 236
#define RULE_MEGACOPPT_WSP 237
#define RULE_MEGACOPPT_SEP 238
#define RULE_MEGACOPPT_COMMENT 239
#define RULE_MEGACOPPT_RESTCHAR 240
#define RULE_MEGACOPPT_ADDTOKEN 241
#define RULE_MEGACOPPT_ANDAUDITSELECTTOKEN 242
#define RULE_MEGACOPPT_AUDITTOKEN 243
#define RULE_MEGACOPPT_AUDITCAPTOKEN 244
#define RULE_MEGACOPPT_AUDITVALUETOKEN 245
#define RULE_MEGACOPPT_AUTHTOKEN 246
#define RULE_MEGACOPPT_BOTHTOKEN 247
#define RULE_MEGACOPPT_BOTHWAYTOKEN 248
#define RULE_MEGACOPPT_BRIEFTOKEN 249
#define RULE_MEGACOPPT_BUFFERTOKEN 250
#define RULE_MEGACOPPT_CTXTOKEN 251
#define RULE_MEGACOPPT_CONTEXTAUDITTOKEN 252
#define RULE_MEGACOPPT_CONTEXTATTRTOKEN 253
#define RULE_MEGACOPPT_CONTEXTLISTTOKEN 254
#define RULE_MEGACOPPT_DIGITMAPTOKEN 255
#define RULE_MEGACOPPT_DIRECTIONTOKEN 256
#define RULE_MEGACOPPT_DISCONNECTEDTOKEN 257
#define RULE_MEGACOPPT_DELAYTOKEN 258
#define RULE_MEGACOPPT_DURATIONTOKEN 259
#define RULE_MEGACOPPT_EMBEDTOKEN 260
#define RULE_MEGACOPPT_EMERGENCYTOKEN 261
#define RULE_MEGACOPPT_EMERGENCYOFFTOKEN 262
#define RULE_MEGACOPPT_EMERGENCYVALUETOKEN 263
#define RULE_MEGACOPPT_ERRORTOKEN 264
#define RULE_MEGACOPPT_EVENTBUFFERTOKEN 265
#define RULE_MEGACOPPT_EVENTSTOKEN 266
#define RULE_MEGACOPPT_EXTERNALTOKEN 267
#define RULE_MEGACOPPT_FAILOVERTOKEN 268
#define RULE_MEGACOPPT_FORCEDTOKEN 269
#define RULE_MEGACOPPT_GRACEFULTOKEN 270
#define RULE_MEGACOPPT_H221TOKEN 271
#define RULE_MEGACOPPT_H223TOKEN 272
#define RULE_MEGACOPPT_H226TOKEN 273
#define RULE_MEGACOPPT_HANDOFFTOKEN 274
#define RULE_MEGACOPPT_IEPSTOKEN 275
#define RULE_MEGACOPPT_IMMACKREQUIREDTOKEN 276
#define RULE_MEGACOPPT_INACTIVETOKEN 277
#define RULE_MEGACOPPT_INTERNALTOKEN 278
#define RULE_MEGACOPPT_INTSIGDELAYTOKEN 279
#define RULE_MEGACOPPT_ISOLATETOKEN 280
#define RULE_MEGACOPPT_INSVCTOKEN 281
#define RULE_MEGACOPPT_INTERRUPTBYEVENTTOKEN 282
#define RULE_MEGACOPPT_INTERRUPTBYNEWSIGNALSDESCRTOKEN 283
#define RULE_MEGACOPPT_ITERATIONTOKEN 284
#define RULE_MEGACOPPT_KEEPACTIVETOKEN 285
#define RULE_MEGACOPPT_LOCALTOKEN 286
#define RULE_MEGACOPPT_LOCALCONTROLTOKEN 287
#define RULE_MEGACOPPT_LOCKSTEPTOKEN 288
#define RULE_MEGACOPPT_LOOPBACKTOKEN 289
#define RULE_MEGACOPPT_MEDIATOKEN 290
#define RULE_MEGACOPPT_MEGACOPTOKEN 291
#define RULE_MEGACOPPT_MESSAGESEGMENTTOKEN 292
#define RULE_MEGACOPPT_METHODTOKEN 293
#define RULE_MEGACOPPT_MGCIDTOKEN 294
#define RULE_MEGACOPPT_MODETOKEN 295
#define RULE_MEGACOPPT_MODIFYTOKEN 296
#define RULE_MEGACOPPT_MODEMTOKEN 297
#define RULE_MEGACOPPT_MOVETOKEN 298
#define RULE_MEGACOPPT_MTPTOKEN 299
#define RULE_MEGACOPPT_MUXTOKEN 300
#define RULE_MEGACOPPT_NEVERNOTIFYTOKEN 301
#define RULE_MEGACOPPT_NOTIFYTOKEN 302
#define RULE_MEGACOPPT_NOTIFYCOMPLETIONTOKEN 303
#define RULE_MEGACOPPT_NOTIFYIMMEDIATETOKEN 304
#define RULE_MEGACOPPT_NOTIFYREGULATEDTOKEN 305
#define RULE_MEGACOPPT_NX64KTOKEN 306
#define RULE_MEGACOPPT_OBSERVEDEVENTSTOKEN 307
#define RULE_MEGACOPPT_ONEWAYTOKEN 308
#define RULE_MEGACOPPT_ONEWAYBOTHTOKEN 309
#define RULE_MEGACOPPT_ONEWAYEXTERNALTOKEN 310
#define RULE_MEGACOPPT_ONOFFTOKEN 311
#define RULE_MEGACOPPT_ORAUDITSELECTTOKEN 312
#define RULE_MEGACOPPT_OTHERREASONTOKEN 313
#define RULE_MEGACOPPT_OUTOFSVCTOKEN 314
#define RULE_MEGACOPPT_PACKAGESTOKEN 315
#define RULE_MEGACOPPT_PENDINGTOKEN 316
#define RULE_MEGACOPPT_PRIORITYTOKEN 317
#define RULE_MEGACOPPT_PROFILETOKEN 318
#define RULE_MEGACOPPT_REASONTOKEN 319
#define RULE_MEGACOPPT_RECVONLYTOKEN 320
#define RULE_MEGACOPPT_REPLYTOKEN 321
#define RULE_MEGACOPPT_RESETEVENTSDESCRIPTORTOKEN 322
#define RULE_MEGACOPPT_RESTARTTOKEN 323
#define RULE_MEGACOPPT_REMOTETOKEN 324
#define RULE_MEGACOPPT_REQUESTIDTOKEN 325
#define RULE_MEGACOPPT_RESERVEDGROUPTOKEN 326
#define RULE_MEGACOPPT_RESERVEDVALUETOKEN 327
#define RULE_MEGACOPPT_SEGMENTATIONCOMPLETETOKEN 328
#define RULE_MEGACOPPT_SENDONLYTOKEN 329
#define RULE_MEGACOPPT_SENDRECVTOKEN 330
#define RULE_MEGACOPPT_SERVICESTOKEN 331
#define RULE_MEGACOPPT_SERVICESTATESTOKEN 332
#define RULE_MEGACOPPT_SERVICECHANGEINCOMPLETETOKEN 333
#define RULE_MEGACOPPT_SERVICECHANGETOKEN 334
#define RULE_MEGACOPPT_SERVICECHANGEADDRESSTOKEN 335
#define RULE_MEGACOPPT_SIGNALLISTTOKEN 336
#define RULE_MEGACOPPT_SIGNALSTOKEN 337
#define RULE_MEGACOPPT_SIGNALTYPETOKEN 338
#define RULE_MEGACOPPT_STATSTOKEN 339
#define RULE_MEGACOPPT_STREAMTOKEN 340
#define RULE_MEGACOPPT_SUBTRACTTOKEN 341
#define RULE_MEGACOPPT_SYNCHISDNTOKEN 342
#define RULE_MEGACOPPT_TERMINATIONSTATETOKEN 343
#define RULE_MEGACOPPT_TESTTOKEN 344
#define RULE_MEGACOPPT_TIMEOUTTOKEN 345
#define RULE_MEGACOPPT_TOPOLOGYTOKEN 346
#define RULE_MEGACOPPT_TRANSTOKEN 347
#define RULE_MEGACOPPT_RESPONSEACKTOKEN 348
#define RULE_MEGACOPPT_V18TOKEN 349
#define RULE_MEGACOPPT_V22TOKEN 350
#define RULE_MEGACOPPT_V22BISTOKEN 351
#define RULE_MEGACOPPT_V32TOKEN 352
#define RULE_MEGACOPPT_V32BISTOKEN 353
#define RULE_MEGACOPPT_V34TOKEN 354
#define RULE_MEGACOPPT_V76TOKEN 355
#define RULE_MEGACOPPT_V90TOKEN 356
#define RULE_MEGACOPPT_V91TOKEN 357
#define RULE_MEGACOPPT_VERSIONTOKEN 358

extern void* vpMEGACOPPTInit;

//{{header.post
//}}header.post

#endif // MEGACOPPT_h
