/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  
	 created: Sat Nov 24 14:47:26 2007
	filename: SDPPPT.c
	  author: Lowell Thomas
	          lowell@coasttocoastresearch.com
	          http://www.coasttocoastresearch.com

	 purpose: Implementation of parser component SDPPPT.

*********************************************************************/
#include "Apg.h"

//{{Include.pre
//}}Include.pre

#include "SDPPPT.h"

//{{Include.post
//}}Include.post

//  GENERAL INFORMATION:
//       static data = 29504 (bytes)
//                   = 2.88E+01 (KB)
//                   = 2.81E-02 (MB)
//   character count = 256 (grammar alphabet character set)
// unused characters = 0 (grammar alphabet character set)
//        rule count = 103
//      opcode count = 524
//         ALT count = 43(141) (alternations)
//         CAT count = 96(286) (concatenations)
//         RNM count = 255
//         REP count = 95
//         PRD count = 0
//         TRG count = 51
//         TBS count = 22
//         TLS count = 70
//      string table = 1292 (bytes)
//           opcodes = 8532 (bytes)
//         rule list = 2060 (bytes)
//         PPT bytes = 17128

// CALL BACK FUNCTION DECLARATIONS
static ulong pfn_announcement(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_session_section(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_proto_version(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_origin_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_session_name_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_information_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_uri_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_email_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_phone_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_connection_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_bandwidth_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_time_fields(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_key_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_attribute_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_media_section(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_media_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_media(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_fmt(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_proto(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_MediaPort(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_PortCount(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_username(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_sess_id(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_sess_version(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_nettype(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_addrtype(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_FQDN(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_extn_addr(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_IPv4Type(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_AddressCount(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_IPv6Type(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_URI_reference(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_IPv4Multicast(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_IPv4Unicast(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_IPv6Multicast(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
static ulong pfn_IPv6Unicast(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);

// CALL BACK FUNCTION POINTERS
static ulong g_ulCallbacks = 36;
static PFN_CALLBACK g_pfnCallbacks[36] = 
{
  pfn_announcement,
  pfn_session_section,
  pfn_proto_version,
  pfn_origin_field,
  pfn_session_name_field,
  pfn_information_field,
  pfn_uri_field,
  pfn_email_field,
  pfn_phone_field,
  pfn_connection_field,
  pfn_bandwidth_field,
  pfn_time_fields,
  pfn_key_field,
  pfn_attribute_field,
  pfn_media_section,
  pfn_media_field,
  pfn_media,
  pfn_fmt,
  pfn_proto,
  pfn_MediaPort,
  pfn_PortCount,
  pfn_username,
  pfn_sess_id,
  pfn_sess_version,
  pfn_nettype,
  pfn_addrtype,
  pfn_FQDN,
  pfn_extn_addr,
  pfn_IPv4Type,
  pfn_AddressCount,
  pfn_IPv6Type,
  pfn_URI_reference,
  pfn_IPv4Multicast,
  pfn_IPv4Unicast,
  pfn_IPv6Multicast,
  pfn_IPv6Unicast,
};

// EXECUTABLE DATA
static ulong g_ulaExeData[7273] = 
{
  0x000071A4,0xE23EE7E7,0x00000000,0x00000067,0x0000020C,0x00000100,0x00000000,0x00000100,
  0x000000FF,0x00000001,0x00000000,0x00000050,0x00000050,0x0000050C,0x0000055C,0x00002154,
  0x000026B0,0x0000080C,0x00002EBC,0x000042E8,0x6F6E6E61,0x65636E75,0x746E656D,0x73657300,
  0x6E6F6973,0x6365732D,0x6E6F6974,0x6F3D7600,0x693D733D,0x653D753D,0x633D703D,0x743D623D,
  0x613D6B3D,0x6F72703D,0x762D6F74,0x69737265,0x6F006E6F,0x69676972,0x69662D6E,0x00646C65,
  0x73736573,0x2D6E6F69,0x656D616E,0x6569662D,0x6900646C,0x726F666E,0x6974616D,0x662D6E6F,
  0x646C6569,0x69727500,0x6569662D,0x6500646C,0x6C69616D,0x6569662D,0x7000646C,0x656E6F68,
  0x6569662D,0x6300646C,0x656E6E6F,0x6F697463,0x69662D6E,0x00646C65,0x646E6162,0x74646977,
  0x69662D68,0x00646C65,0x6D69743A,0x69662D65,0x73646C65,0x723D3D00,0x61657065,0x69662D74,
  0x73646C65,0x6E6F7A00,0x64612D65,0x7473756A,0x746E656D,0x2D2D0073,0x2D79656B,0x6C656966,
  0x74610064,0x62697274,0x2D657475,0x6C656966,0x656D0064,0x2D616964,0x74636573,0x006E6F69,
  0x3D693D6D,0x3D623D63,0x3D613D6B,0x6964656D,0x69662D61,0x00646C65,0x64656D2F,0x66006169,
  0x7000746D,0x6F746F72,0x654D2F00,0x50616964,0x0074726F,0x74726F50,0x6E756F43,0x73750074,
  0x616E7265,0x7300656D,0x2D737365,0x73006469,0x2D737365,0x73726576,0x006E6F69,0x7474656E,
  0x00657079,0x72646461,0x65707974,0x616D6500,0x612D6C69,0x65726464,0x61007373,0x65726464,
  0x612D7373,0x632D646E,0x656D6D6F,0x2800746E,0x73696429,0x6D616E70,0x6E612D65,0x64612D64,
  0x73657264,0x3E3C0073,0x6E6F6870,0x756E2D65,0x7265626D,0x3C292800,0x6F68703E,0x2B00656E,
  0x7477622D,0x00657079,0x646E6162,0x74646977,0x74730068,0x2D747261,0x656D6974,0x74733000,
  0x742D706F,0x00656D69,0x6D697430,0x65720065,0x74616570,0x746E692D,0x61767265,0x7974006C,
  0x2D646570,0x656D6974,0x78696600,0x6C2D6465,0x742D6E65,0x2D656D69,0x74696E75,0x79656B00,
  0x7079742D,0x72700065,0x74706D6F,0x61656C63,0x61623A72,0x34366573,0x6972753A,0x7361623A,
  0x00343665,0x65736162,0x752D3436,0x0074696E,0x65736162,0x702D3436,0x3D006461,0x61623D3D,
  0x34366573,0x6168632D,0x2F2B0072,0x72747461,0x74756269,0x613A0065,0x662D7474,0x646C6569,
  0x74746100,0x6C61762D,0x63006575,0x656E6E6F,0x6F697463,0x79742D6E,0x61006570,0x632D796E,
  0x656E6E6F,0x6F697463,0x5146006E,0x2D004E44,0x7478652E,0x64612D6E,0x49007264,0x43347650,
  0x656E6E6F,0x6F697463,0x5049006E,0x79543476,0x69006570,0x50493470,0x754D3476,0x4369746C,
  0x2F006E6F,0x6C74742F,0x64413000,0x73657264,0x756F4373,0x4900746E,0x43367650,0x656E6E6F,
  0x6F697463,0x5049006E,0x79543676,0x69006570,0x50493670,0x754D3676,0x6F43746C,0x742F006E,
  0x00747865,0x65747962,0x7274732D,0x00676E69,0x2D6E6F6E,0x732D7377,0x6E697274,0x6F740067,
  0x2D6E656B,0x72616863,0x6B6F7400,0x65006E65,0x6C69616D,0x6661732D,0x6C610065,0x2D616870,
  0x656D756E,0x00636972,0x2D495255,0x65666572,0x636E6572,0x65640065,0x636F2D63,0x00746574,
  0x34765049,0x746C754D,0x73616369,0x492E0074,0x55347650,0x6163696E,0x2E007473,0x32544E49,
  0x32003432,0x49333232,0x4D367650,0x69746C75,0x74736163,0x3A666600,0x7650492E,0x696E5536,
  0x74736163,0x612E3A00,0x2D726464,0x63657073,0x6F6C4000,0x2D6C6163,0x74726170,0x6D6F6400,
  0x006E6961,0x616D6F64,0x6C2D6E69,0x72657469,0x5B006C61,0x6F63645D,0x6E65746E,0x74640074,
  0x00747865,0x572D4F4E,0x54432D53,0x7461004C,0x00747865,0x25242321,0x2B2A2726,0x3F3D2F2D,
  0x7B605F5E,0x617E7D7C,0x006D6F74,0x2D746F64,0x6D6F7461,0x746F6400,0x6F74612D,0x65742D6D,
  0x2E007478,0x78657471,0x63710074,0x65746E6F,0x7100746E,0x65746F75,0x74732D64,0x676E6972,
  0x6F757100,0x2D646574,0x72696170,0x626F5C00,0x70712D73,0x626F5C00,0x6F6C2D73,0x2D6C6163,
  0x74726170,0x626F2E00,0x6F642D73,0x6E69616D,0x6F772E00,0x46006472,0x63005357,0x74786574,
  0x6F636300,0x6E65746E,0x6F630074,0x6E656D6D,0x29280074,0x53574643,0x73626F00,0x5357462D,
  0x00505300,0x42415448,0x55514400,0x0045544F,0x464C5243,0x504C4100,0x44004148,0x54494749,
  0x48435600,0x57005241,0x48005053,0x49445845,0x4F500047,0x49442D53,0x00544947,0x00000002,
  0x00000FA7,0x00000040,0x00000000,0x00000021,0x0000001C,0x00000001,0x00000003,0x00000FC8,
  0x00000040,0x00000000,0xFFFFFFFF,0x00000000,0x00000210,0x00000040,0x00000010,0x00000002,
  0x00001009,0x00000400,0x00000002,0x0000102A,0x0000008C,0x00000006,0x0000104B,0x0000006C,
  0x0000001D,0x00000002,0x00000000,0x00000042,0x0000007C,0x00000002,0x00000000,0x00000EC3,
  0x0000008C,0x00000063,0x00000002,0x0000106C,0x000000CC,0x00000006,0x0000108D,0x000000AC,
  0x0000001F,0x00000002,0x00000000,0x00000063,0x000000BC,0x00000003,0x00000000,0x00000EC3,
  0x000000CC,0x00000063,0x00000002,0x000010AE,0x0000010C,0x00000006,0x000010CF,0x000000EC,
  0x00000021,0x00000002,0x00000000,0x00000084,0x000000FC,0x00000004,0x00000000,0x00000EC3,
  0x0000010C,0x00000063,0x00000003,0x000010F0,0x00000160,0x00000000,0x00000001,0x00000002,
  0x00001131,0x00000160,0x00000006,0x00001152,0x00000140,0x00000023,0x00000002,0x00000000,
  0x000000A5,0x00000150,0x00000005,0x00000000,0x00000EC3,0x00000160,0x00000063,0x00000003,
  0x00001173,0x000001B4,0x00000000,0x00000001,0x00000002,0x000011B4,0x000001B4,0x00000006,
  0x000011D5,0x00000194,0x00000025,0x00000002,0x00000000,0x000000C6,0x000001A4,0x00000006,
  0x00000000,0x00000EC3,0x000001B4,0x00000063,0x00000003,0x000011F6,0x00000208,0x00000000,
  0xFFFFFFFF,0x00000002,0x00001237,0x00000208,0x00000006,0x00001258,0x000001E8,0x00000027,
  0x00000002,0x00000000,0x000000E7,0x000001F8,0x00000007,0x00000000,0x00000EC3,0x00000208,
  0x00000063,0x00000003,0x00001279,0x0000025C,0x00000000,0xFFFFFFFF,0x00000002,0x000012BA,
  0x0000025C,0x00000006,0x000012DB,0x0000023C,0x00000029,0x00000002,0x00000000,0x00000108,
  0x0000024C,0x00000008,0x00000000,0x00000EC3,0x0000025C,0x00000063,0x00000003,0x000012FC,
  0x000002B0,0x00000000,0x00000001,0x00000002,0x0000133D,0x000002B0,0x00000006,0x0000135E,
  0x00000290,0x0000002B,0x00000002,0x00000000,0x00000129,0x000002A0,0x00000009,0x00000000,
  0x00000EC3,0x000002B0,0x00000063,0x00000003,0x0000137F,0x00000304,0x00000000,0xFFFFFFFF,
  0x00000002,0x000013C0,0x00000304,0x00000006,0x000013E1,0x000002E4,0x0000002D,0x00000002,
  0x00000000,0x0000014A,0x000002F4,0x0000000A,0x00000000,0x00000EC3,0x00000304,0x00000063,
  0x00000003,0x00001402,0x00000358,0x00000001,0xFFFFFFFF,0x00000002,0x00001423,0x00000358,
  0x00000006,0x00001444,0x00000338,0x0000002F,0x00000002,0x00000000,0x0000016B,0x00000348,
  0x0000000B,0x00000000,0x00000EC3,0x00000358,0x00000063,0x00000003,0x00001465,0x000003AC,
  0x00000000,0x00000001,0x00000002,0x000014A6,0x000003AC,0x00000006,0x000014C7,0x0000038C,
  0x00000031,0x00000002,0x00000000,0x000001CE,0x0000039C,0x0000000E,0x00000000,0x00000EC3,
  0x000003AC,0x00000063,0x00000003,0x000014E8,0x00000400,0x00000000,0xFFFFFFFF,0x00000002,
  0x00001529,0x00000400,0x00000006,0x0000154A,0x000003E0,0x00000033,0x00000002,0x00000000,
  0x000001EF,0x000003F0,0x0000000F,0x00000000,0x00000EC3,0x00000400,0x00000063,0x00000003,
  0x0000156B,0x00000424,0x00000001,0xFFFFFFFF,0x00000000,0x00000EE4,0x00000424,0x00000064,
  0x00000002,0x0000158C,0x0000058C,0x00000000,0x000002F7,0x00000440,0x00000017,0x00000000,
  0x00000E41,0x00000450,0x00000061,0x00000000,0x00000318,0x00000460,0x00000018,0x00000000,
  0x00000E41,0x00000470,0x00000061,0x00000000,0x00000339,0x00000480,0x00000019,0x00000000,
  0x00000E41,0x00000490,0x00000061,0x00000000,0x0000035A,0x000004A0,0x0000001A,0x00000000,
  0x00000E41,0x000004B0,0x00000061,0x00000001,0x000015AD,0x0000058C,0x00000002,0x000015CE,
  0x000004F8,0x00000000,0x00000755,0x000004D8,0x00000035,0x00000000,0x00000E41,0x000004E8,
  0x00000061,0x00000000,0x000009C5,0x000004F8,0x00000045,0x00000002,0x000015EF,0x00000534,
  0x00000000,0x0000081A,0x00000514,0x0000003A,0x00000000,0x00000E41,0x00000524,0x00000061,
  0x00000000,0x00000A28,0x00000534,0x00000048,0x00000002,0x00001610,0x0000058C,0x00000000,
  0x0000037B,0x00000550,0x0000001B,0x00000000,0x00000E41,0x00000560,0x00000061,0x00000001,
  0x00001631,0x0000058C,0x00000000,0x000006F2,0x0000057C,0x00000032,0x00000000,0x00000713,
  0x0000058C,0x00000033,0x00000000,0x0000085C,0x0000059C,0x0000003C,0x00000000,0x0000085C,
  0x000005AC,0x0000003C,0x00000000,0x00000962,0x000005BC,0x00000042,0x00000000,0x0000039C,
  0x000005CC,0x0000001C,0x00000000,0x000003FF,0x000005DC,0x0000001F,0x00000002,0x00001652,
  0x00000618,0x00000000,0x0000035A,0x000005F8,0x0000001A,0x00000000,0x00000E41,0x00000608,
  0x00000061,0x00000000,0x000006B0,0x00000618,0x00000030,0x00000002,0x00001673,0x00000658,
  0x00000000,0x00000441,0x00000634,0x00000021,0x00000007,0x00001694,0x00000648,0x000000B8,
  0x00000001,0x00000000,0x00000462,0x00000658,0x00000022,0x00000002,0x000016D5,0x00000744,
  0x00000000,0x00000483,0x00000674,0x00000023,0x00000000,0x00000E41,0x00000684,0x00000061,
  0x00000000,0x000004C4,0x00000694,0x00000024,0x00000003,0x000016F6,0x000006EC,0x00000000,
  0xFFFFFFFF,0x00000002,0x00001737,0x000006EC,0x00000005,0x00001758,0x000006C8,0x00000072,
  0x00000072,0x00000007,0x00001799,0x000006DC,0x000000C5,0x00000001,0x00000000,0x0000018C,
  0x000006EC,0x0000000C,0x00000003,0x000017DA,0x00000744,0x00000000,0x00000001,0x00000002,
  0x0000181B,0x00000744,0x00000005,0x0000183C,0x00000720,0x0000007A,0x0000007A,0x00000007,
  0x0000187D,0x00000734,0x000000C6,0x00000001,0x00000000,0x000001AD,0x00000744,0x0000000D,
  0x00000002,0x000018BE,0x000007C0,0x00000000,0x00000526,0x00000760,0x00000026,0x00000000,
  0x00000E41,0x00000770,0x00000061,0x00000000,0x00000547,0x00000780,0x00000027,0x00000003,
  0x000018DF,0x000007C0,0x00000001,0xFFFFFFFF,0x00000002,0x00001900,0x000007C0,0x00000000,
  0x00000E41,0x000007B0,0x00000061,0x00000000,0x00000547,0x000007C0,0x00000027,0x00000002,
  0x00001921,0x00000884,0x00000000,0x00000505,0x000007DC,0x00000025,0x00000000,0x00000E41,
  0x000007EC,0x00000061,0x00000003,0x00001942,0x00000800,0x00000000,0x00000001,0x00000000,
  0x00000547,0x00000810,0x00000027,0x00000003,0x00001983,0x00000884,0x00000000,0xFFFFFFFF,
  0x00000002,0x000019C4,0x00000884,0x00000000,0x00000E41,0x00000840,0x00000061,0x00000000,
  0x00000505,0x00000850,0x00000025,0x00000000,0x00000E41,0x00000860,0x00000061,0x00000003,
  0x000019E5,0x00000874,0x00000000,0x00000001,0x00000000,0x00000547,0x00000884,0x00000027,
  0x00000000,0x00000568,0x00000894,0x00000028,0x00000000,0x0000064D,0x000008A4,0x0000002D,
  0x00000002,0x00001A26,0x00000A94,0x00000002,0x00001A47,0x000008F0,0x00000006,0x00001A68,
  0x000008D0,0x00000110,0x00000002,0x00000000,0x00000231,0x000008E0,0x00000011,0x00000000,
  0x00000EC3,0x000008F0,0x00000063,0x00000003,0x00001A89,0x00000944,0x00000000,0x00000001,
  0x00000002,0x00001ACA,0x00000944,0x00000006,0x00001AEB,0x00000924,0x00000112,0x00000002,
  0x00000000,0x000000A5,0x00000934,0x00000005,0x00000000,0x00000EC3,0x00000944,0x00000063,
  0x00000003,0x00001B0C,0x00000998,0x00000000,0xFFFFFFFF,0x00000002,0x00001B4D,0x00000998,
  0x00000006,0x00001B6E,0x00000978,0x00000114,0x00000002,0x00000000,0x00000129,0x00000988,
  0x00000009,0x00000000,0x00000EC3,0x00000998,0x00000063,0x00000003,0x00001B8F,0x000009EC,
  0x00000000,0xFFFFFFFF,0x00000002,0x00001BD0,0x000009EC,0x00000006,0x00001BF1,0x000009CC,
  0x00000116,0x00000002,0x00000000,0x0000014A,0x000009DC,0x0000000A,0x00000000,0x00000EC3,
  0x000009EC,0x00000063,0x00000003,0x00001C12,0x00000A40,0x00000000,0x00000001,0x00000002,
  0x00001C53,0x00000A40,0x00000006,0x00001C74,0x00000A20,0x00000118,0x00000002,0x00000000,
  0x000001CE,0x00000A30,0x0000000E,0x00000000,0x00000EC3,0x00000A40,0x00000063,0x00000003,
  0x00001C95,0x00000A94,0x00000000,0xFFFFFFFF,0x00000002,0x00001CD6,0x00000A94,0x00000006,
  0x00001CF7,0x00000A74,0x0000011A,0x00000002,0x00000000,0x000001EF,0x00000A84,0x0000000F,
  0x00000000,0x00000EC3,0x00000A94,0x00000063,0x00000002,0x00001D18,0x00000B74,0x00000000,
  0x00000252,0x00000AB0,0x00000012,0x00000000,0x00000E41,0x00000AC0,0x00000061,0x00000000,
  0x000002B5,0x00000AD0,0x00000015,0x00000003,0x00001D39,0x00000B14,0x00000000,0x00000001,
  0x00000002,0x00001D7A,0x00000B14,0x00000007,0x00001D9B,0x00000B04,0x00000128,0x00000001,
  0x00000000,0x000002D6,0x00000B14,0x00000016,0x00000000,0x00000E41,0x00000B24,0x00000061,
  0x00000000,0x00000294,0x00000B34,0x00000014,0x00000003,0x00001DDC,0x00000B74,0x00000001,
  0xFFFFFFFF,0x00000002,0x00001DFD,0x00000B74,0x00000000,0x00000E41,0x00000B64,0x00000061,
  0x00000000,0x00000273,0x00000B74,0x00000013,0x00000000,0x00000900,0x00000B84,0x00000040,
  0x00000000,0x00000900,0x00000B94,0x00000040,0x00000002,0x00001E1E,0x00000BF4,0x00000000,
  0x00000900,0x00000BB0,0x00000040,0x00000003,0x00001E3F,0x00000BF4,0x00000000,0xFFFFFFFF,
  0x00000002,0x00001E80,0x00000BF4,0x00000007,0x00001EA1,0x00000BE4,0x00000139,0x00000001,
  0x00000000,0x00000900,0x00000BF4,0x00000040,0x00000003,0x00001EE2,0x00000C18,0x00000001,
  0xFFFFFFFF,0x00000000,0x00000EE4,0x00000C18,0x00000064,0x00000002,0x00001F03,0x00000C58,
  0x00000000,0x00000F66,0x00000C34,0x00000066,0x00000003,0x00001F24,0x00000C58,0x00000000,
  0xFFFFFFFF,0x00000000,0x00000EE4,0x00000C58,0x00000064,0x00000000,0x0000089E,0x00000C68,
  0x0000003E,0x00000003,0x00001F65,0x00000C8C,0x00000001,0xFFFFFFFF,0x00000000,0x00000EE4,
  0x00000C8C,0x00000064,0x00000003,0x00001F86,0x00000CB0,0x00000001,0xFFFFFFFF,0x00000000,
  0x00000EE4,0x00000CB0,0x00000064,0x00000000,0x00000900,0x00000CC0,0x00000040,0x00000000,
  0x00000900,0x00000CD0,0x00000040,0x00000001,0x00001FA7,0x00000D0C,0x00000000,0x000003BD,
  0x00000CEC,0x0000001D,0x00000000,0x000003DE,0x00000CFC,0x0000001E,0x00000000,0x00000A49,
  0x00000D0C,0x00000049,0x00000002,0x00001FC8,0x00000D98,0x00000000,0x00000A49,0x00000D28,
  0x00000049,0x00000003,0x00001FE9,0x00000D4C,0x00000001,0xFFFFFFFF,0x00000000,0x00000E41,
  0x00000D4C,0x00000061,0x00000007,0x0000200A,0x00000D60,0x0000019F,0x00000001,0x00000003,
  0x0000204B,0x00000D84,0x00000001,0xFFFFFFFF,0x00000000,0x00000921,0x00000D84,0x00000041,
  0x00000007,0x0000206C,0x00000D98,0x000001A0,0x00000001,0x00000002,0x000020AD,0x00000E24,
  0x00000003,0x000020CE,0x00000DC8,0x00000001,0xFFFFFFFF,0x00000000,0x00000921,0x00000DC8,
  0x00000041,0x00000003,0x000020EF,0x00000DEC,0x00000001,0xFFFFFFFF,0x00000000,0x00000E41,
  0x00000DEC,0x00000061,0x00000007,0x00002110,0x00000E00,0x000001B6,0x00000001,0x00000000,
  0x00000A49,0x00000E10,0x00000049,0x00000007,0x00002151,0x00000E24,0x000001B7,0x00000001,
  0x00000001,0x00002192,0x00000F34,0x00000002,0x000021B3,0x00000EBC,0x00000000,0x00000420,
  0x00000E4C,0x00000020,0x00000003,0x000021D4,0x00000E70,0x00000000,0xFFFFFFFF,0x00000000,
  0x00000E41,0x00000E70,0x00000061,0x00000007,0x00002215,0x00000E84,0x000001C5,0x00000001,
  0x00000003,0x00002256,0x00000EA8,0x00000001,0xFFFFFFFF,0x00000000,0x00000921,0x00000EA8,
  0x00000041,0x00000007,0x00002277,0x00000EBC,0x000001C6,0x00000001,0x00000002,0x000022B8,
  0x00000F24,0x00000003,0x000022D9,0x00000EEC,0x00000001,0xFFFFFFFF,0x00000000,0x00000921,
  0x00000EEC,0x00000041,0x00000007,0x000022FA,0x00000F00,0x000001C7,0x00000001,0x00000000,
  0x00000420,0x00000F10,0x00000020,0x00000007,0x0000233B,0x00000F24,0x000001C8,0x00000001,
  0x00000000,0x00000420,0x00000F34,0x00000020,0x00000002,0x0000237C,0x00000F84,0x00000003,
  0x0000239D,0x00000F54,0x00000000,0x00000001,0x00000000,0x00000EE4,0x00000F64,0x00000064,
  0x00000003,0x000023DE,0x00000F84,0x00000001,0xFFFFFFFF,0x00000001,0x000023FF,0x00000F84,
  0x00000000,0x00000900,0x00000F94,0x00000040,0x00000003,0x00002440,0x00000FB8,0x00000001,
  0xFFFFFFFF,0x00000000,0x00000EE4,0x00000FB8,0x00000064,0x00000001,0x00002461,0x00000FE8,
  0x00000000,0x00000505,0x00000FD4,0x00000025,0x00000007,0x000024A2,0x00000FE8,0x000001ED,
  0x00000001,0x00000001,0x000024E3,0x00001018,0x00000000,0x00000505,0x00001004,0x00000025,
  0x00000007,0x00002524,0x00001018,0x000001F8,0x00000001,0x00000002,0x00002565,0x00001058,
  0x00000000,0x00000F66,0x00001034,0x00000066,0x00000003,0x00002586,0x00001058,0x00000009,
  0xFFFFFFFF,0x00000000,0x00000EE4,0x00001058,0x00000064,0x00000002,0x000025A7,0x000010AC,
  0x00000000,0x00000F66,0x00001074,0x00000066,0x00000003,0x000025C8,0x00001098,0x00000000,
  0xFFFFFFFF,0x00000000,0x00000EE4,0x00001098,0x00000064,0x00000003,0x00002609,0x000010AC,
  0x00000000,0x00000001,0x00000002,0x0000264A,0x000010F0,0x00000003,0x0000266B,0x000010DC,
  0x00000001,0xFFFFFFFF,0x00000000,0x00000EE4,0x000010DC,0x00000064,0x00000003,0x0000268C,
  0x000010F0,0x00000000,0x00000001,0x00000001,0x000026CD,0x000011A0,0x00000006,0x000026EE,
  0x00001110,0x00000236,0x00000006,0x00000002,0x0000270F,0x00001140,0x00000006,0x00002730,
  0x00001130,0x0000023C,0x00000006,0x00000000,0x0000085C,0x00001140,0x0000003C,0x00000002,
  0x00002751,0x00001170,0x00000006,0x00002772,0x00001160,0x00000242,0x00000007,0x00000000,
  0x00000589,0x00001170,0x00000029,0x00000002,0x00002793,0x000011A0,0x00000006,0x000027B4,
  0x00001190,0x00000249,0x00000004,0x00000000,0x00000962,0x000011A0,0x00000042,0x00000002,
  0x000027D5,0x000011F4,0x00000003,0x00002816,0x000011D0,0x00000000,0xFFFFFFFF,0x00000000,
  0x000005CA,0x000011D0,0x0000002A,0x00000003,0x00002857,0x000011F4,0x00000000,0x00000001,
  0x00000000,0x000005EB,0x000011F4,0x0000002B,0x00000003,0x00002898,0x00001218,0x00000004,
  0x00000004,0x00000000,0x0000060C,0x00001218,0x0000002C,0x00000001,0x000028B9,0x000012AC,
  0x00000002,0x000028DA,0x00001268,0x00000003,0x000028FB,0x00001254,0x00000002,0x00000002,
  0x00000000,0x0000060C,0x00001254,0x0000002C,0x00000007,0x0000291C,0x00001268,0x0000026B,
  0x00000002,0x00000002,0x0000293D,0x000012AC,0x00000003,0x0000295E,0x00001298,0x00000003,
  0x00000003,0x00000000,0x0000060C,0x00001298,0x0000002C,0x00000007,0x0000297F,0x000012AC,
  0x0000026D,0x00000001,0x00000001,0x000029C0,0x00001308,0x00000002,0x000029E1,0x000012F8,
  0x00000000,0x0000066E,0x000012D4,0x0000002E,0x00000007,0x00002A02,0x000012E8,0x00000286,
  0x00000001,0x00000000,0x0000068F,0x000012F8,0x0000002F,0x00000000,0x0000066E,0x00001308,
  0x0000002E,0x00000000,0x00000900,0x00001318,0x00000040,0x00000000,0x0000087D,0x00001328,
  0x0000003D,0x00000001,0x00002A43,0x00001364,0x00000000,0x000007F9,0x00001344,0x00000039,
  0x00000000,0x00000734,0x00001354,0x00000034,0x00000000,0x000006D1,0x00001364,0x00000031,
  0x00000002,0x00002A64,0x000013BC,0x00000000,0x0000037B,0x00001380,0x0000001B,0x00000000,
  0x00000E41,0x00001390,0x00000061,0x00000001,0x00002A85,0x000013BC,0x00000000,0x000006F2,
  0x000013AC,0x00000032,0x00000000,0x00000713,0x000013BC,0x00000033,0x00000003,0x00002AA6,
  0x000013DC,0x00000004,0xFFFFFFFF,0x00000001,0x00002AC7,0x000013DC,0x00000000,0x0000089E,
  0x000013EC,0x0000003E,0x00000002,0x00002B08,0x00001444,0x00000000,0x00000755,0x00001408,
  0x00000035,0x00000000,0x00000E41,0x00001418,0x00000061,0x00000001,0x00002B29,0x00001444,
  0x00000000,0x00000776,0x00001434,0x00000036,0x00000000,0x000009C5,0x00001444,0x00000045,
  0x00000007,0x00002B4A,0x00001458,0x000002E3,0x00000003,0x00000002,0x00002B6B,0x000014DC,
  0x00000000,0x000009A4,0x00001474,0x00000044,0x00000007,0x00002B8C,0x00001488,0x000002F3,
  0x00000001,0x00000000,0x00000797,0x00001498,0x00000037,0x00000003,0x00002BCD,0x000014DC,
  0x00000000,0x00000001,0x00000002,0x00002C0E,0x000014DC,0x00000007,0x00002C2F,0x000014CC,
  0x000002F4,0x00000001,0x00000000,0x000007D8,0x000014DC,0x00000038,0x00000001,0x00002C70,
  0x0000153C,0x00000002,0x00002CB1,0x00001528,0x00000000,0x00000F66,0x00001504,0x00000066,
  0x00000003,0x00002CD2,0x00001528,0x00000000,0x00000002,0x00000000,0x00000EE4,0x00001528,
  0x00000064,0x00000007,0x00002D13,0x0000153C,0x000002F9,0x00000001,0x00000002,0x00002D54,
  0x0000157C,0x00000000,0x00000F66,0x00001558,0x00000066,0x00000003,0x00002D75,0x0000157C,
  0x00000000,0xFFFFFFFF,0x00000000,0x00000EE4,0x0000157C,0x00000064,0x00000002,0x00002DB6,
  0x000015D4,0x00000000,0x0000081A,0x00001598,0x0000003A,0x00000000,0x00000E41,0x000015A8,
  0x00000061,0x00000001,0x00002DD7,0x000015D4,0x00000000,0x0000083B,0x000015C4,0x0000003B,
  0x00000000,0x00000A28,0x000015D4,0x00000048,0x00000007,0x00002DF8,0x000015E8,0x0000031F,
  0x00000003,0x00000002,0x00002E19,0x00001648,0x00000000,0x00000A07,0x00001604,0x00000047,
  0x00000003,0x00002E3A,0x00001648,0x00000000,0x00000001,0x00000002,0x00002E7B,0x00001648,
  0x00000007,0x00002E9C,0x00001638,0x0000032E,0x00000001,0x00000000,0x000007D8,0x00001648,
  0x00000038,0x00000000,0x0000087D,0x00001658,0x0000003D,0x00000003,0x00002EDD,0x00001678,
  0x00000001,0xFFFFFFFF,0x00000001,0x00002EFE,0x00001678,0x00000003,0x00002F3F,0x00001698,
  0x00000001,0xFFFFFFFF,0x00000001,0x00002F60,0x00001698,0x00000003,0x00002FA1,0x000016BC,
  0x00000001,0xFFFFFFFF,0x00000000,0x000008BF,0x000016BC,0x0000003F,0x00000003,0x00002FC2,
  0x000016E4,0x00000001,0xFFFFFFFF,0x00000005,0x00002FE3,0x000016E4,0x00000021,0x0000007F,
  0x00000003,0x00003024,0x00001708,0x00000001,0x00000003,0x00000000,0x00000EE4,0x00001708,
  0x00000064,0x00000002,0x00003045,0x00001768,0x00000000,0x000009E6,0x00001724,0x00000046,
  0x00000003,0x00003066,0x00001768,0x00000003,0x00000003,0x00000002,0x00003087,0x00001768,
  0x00000007,0x000030A8,0x00001758,0x0000039E,0x00000001,0x00000000,0x00000983,0x00001768,
  0x00000043,0x00000002,0x000030E9,0x000017C8,0x00000000,0x00000983,0x00001784,0x00000043,
  0x00000003,0x0000310A,0x000017C8,0x00000003,0x00000003,0x00000002,0x0000312B,0x000017C8,
  0x00000007,0x0000314C,0x000017B8,0x000003AB,0x00000001,0x00000000,0x00000983,0x000017C8,
  0x00000043,0x00000001,0x0000318D,0x00001838,0x00000002,0x000031AE,0x00001808,0x00000007,
  0x000031CF,0x000017F4,0x000003B3,0x00000002,0x00000005,0x000031F0,0x00001808,0x00000034,
  0x00000039,0x00000002,0x00003231,0x00001838,0x00000007,0x00003252,0x00001828,0x000003B5,
  0x00000002,0x00000000,0x00000EE4,0x00001838,0x00000064,0x00000002,0x00003273,0x00001878,
  0x00000007,0x00003294,0x00001858,0x000003C5,0x00000002,0x00000003,0x000032B5,0x00001878,
  0x00000001,0xFFFFFFFF,0x00000001,0x000032D6,0x00001878,0x00000003,0x00003317,0x00001898,
  0x00000001,0xFFFFFFFF,0x00000001,0x00003338,0x00001898,0x00000002,0x00003379,0x000018D8,
  0x00000000,0x00000A6A,0x000018B4,0x0000004A,0x00000007,0x0000339A,0x000018C8,0x000003E1,
  0x00000001,0x00000000,0x00000A8B,0x000018D8,0x0000004B,0x00000001,0x000033DB,0x00001914,
  0x00000000,0x00000BB1,0x000018F4,0x00000051,0x00000000,0x00000C75,0x00001904,0x00000055,
  0x00000000,0x00000CD8,0x00001914,0x00000058,0x00000001,0x000033FC,0x00001950,0x00000000,
  0x00000BB1,0x00001930,0x00000051,0x00000000,0x00000AAC,0x00001940,0x0000004C,0x00000000,
  0x00000CF9,0x00001950,0x00000059,0x00000002,0x0000341D,0x00001A44,0x00000003,0x0000343E,
  0x00001980,0x00000000,0x00000001,0x00000000,0x00000DFF,0x00001980,0x0000005F,0x00000007,
  0x0000347F,0x00001994,0x00000403,0x00000001,0x00000003,0x000034C0,0x000019E8,0x00000000,
  0xFFFFFFFF,0x00000002,0x00003501,0x000019E8,0x00000003,0x00003522,0x000019D8,0x00000000,
  0x00000001,0x00000000,0x00000D3B,0x000019D8,0x0000005B,0x00000000,0x00000ACD,0x000019E8,
  0x0000004D,0x00000003,0x00003563,0x00001A0C,0x00000000,0x00000001,0x00000000,0x00000D3B,
  0x00001A0C,0x0000005B,0x00000007,0x000035A4,0x00001A20,0x00000404,0x00000001,0x00000003,
  0x000035E5,0x00001A44,0x00000000,0x00000001,0x00000000,0x00000DFF,0x00001A44,0x0000005F,
  0x00000001,0x00003626,0x00001A70,0x00000000,0x00000B0E,0x00001A60,0x0000004E,0x00000000,
  0x00000C96,0x00001A70,0x00000056,0x00000002,0x00003667,0x00001AE8,0x00000003,0x00003688,
  0x00001AA0,0x00000000,0x00000001,0x00000000,0x00000DFF,0x00001AA0,0x0000005F,0x00000003,
  0x000036C9,0x00001AC4,0x00000001,0xFFFFFFFF,0x00000000,0x00000B4F,0x00001AC4,0x0000004F,
  0x00000003,0x000036EA,0x00001AE8,0x00000000,0x00000001,0x00000000,0x00000DFF,0x00001AE8,
  0x0000005F,0x00000002,0x0000372B,0x00001B4C,0x00000003,0x0000374C,0x00001B18,0x00000000,
  0x00000001,0x00000000,0x00000DFF,0x00001B18,0x0000005F,0x00000000,0x00000BD2,0x00001B28,
  0x00000052,0x00000003,0x0000378D,0x00001B4C,0x00000000,0x00000001,0x00000000,0x00000DFF,
  0x00001B4C,0x0000005F,0x00000002,0x000037CE,0x00001BD4,0x00000003,0x000037EF,0x00001B7C,
  0x00000001,0xFFFFFFFF,0x00000000,0x00000B4F,0x00001B7C,0x0000004F,0x00000003,0x00003810,
  0x00001BD4,0x00000000,0xFFFFFFFF,0x00000002,0x00003851,0x00001BD4,0x00000007,0x00003872,
  0x00001BB0,0x00000453,0x00000001,0x00000003,0x000038B3,0x00001BD4,0x00000001,0xFFFFFFFF,
  0x00000000,0x00000B4F,0x00001BD4,0x0000004F,0x00000001,0x000038D4,0x00001C00,0x00000000,
  0x00000BF3,0x00001BF0,0x00000053,0x00000000,0x00000C96,0x00001C00,0x00000056,0x00000002,
  0x00003915,0x00001CEC,0x00000003,0x00003936,0x00001C30,0x00000000,0x00000001,0x00000000,
  0x00000DFF,0x00001C30,0x0000005F,0x00000000,0x00000E82,0x00001C40,0x00000062,0x00000003,
  0x00003977,0x00001C94,0x00000000,0xFFFFFFFF,0x00000002,0x000039B8,0x00001C94,0x00000003,
  0x000039D9,0x00001C84,0x00000000,0x00000001,0x00000000,0x00000D3B,0x00001C84,0x0000005B,
  0x00000000,0x00000C34,0x00001C94,0x00000054,0x00000003,0x00003A1A,0x00001CB8,0x00000000,
  0x00000001,0x00000000,0x00000D3B,0x00001CB8,0x0000005B,0x00000000,0x00000E82,0x00001CC8,
  0x00000062,0x00000003,0x00003A5B,0x00001CEC,0x00000000,0x00000001,0x00000000,0x00000DFF,
  0x00001CEC,0x0000005F,0x00000001,0x00003A9C,0x00001D38,0x00000002,0x00003ABD,0x00001D28,
  0x00000007,0x00003ADE,0x00001D18,0x0000047D,0x00000001,0x00000000,0x0000085C,0x00001D28,
  0x0000003C,0x00000000,0x00000CB7,0x00001D38,0x00000057,0x00000002,0x00003B1F,0x00001D6C,
  0x00000007,0x00003B40,0x00001D58,0x00000485,0x00000001,0x00000005,0x00003B81,0x00001D6C,
  0x00000000,0x0000007F,0x00000002,0x00003BC2,0x00001DCC,0x00000000,0x00000D1A,0x00001D88,
  0x0000005A,0x00000003,0x00003BE3,0x00001DCC,0x00000000,0xFFFFFFFF,0x00000002,0x00003C24,
  0x00001DCC,0x00000007,0x00003C45,0x00001DBC,0x00000495,0x00000001,0x00000000,0x00000D1A,
  0x00001DCC,0x0000005A,0x00000002,0x00003C86,0x00001E2C,0x00000000,0x00000B90,0x00001DE8,
  0x00000050,0x00000003,0x00003CA7,0x00001E2C,0x00000000,0xFFFFFFFF,0x00000002,0x00003CE8,
  0x00001E2C,0x00000007,0x00003D09,0x00001E1C,0x000004A1,0x00000001,0x00000000,0x00000B90,
  0x00001E2C,0x00000050,0x00000001,0x00003D4A,0x00001E58,0x00000000,0x00000B90,0x00001E48,
  0x00000050,0x00000000,0x00000C75,0x00001E58,0x00000055,0x00000001,0x00003D6B,0x00001EF8,
  0x00000002,0x00003D8C,0x00001EE8,0x00000003,0x00003DAD,0x00001EC4,0x00000000,0x00000001,
  0x00000002,0x00003DEE,0x00001EC4,0x00000003,0x00003E0F,0x00001EB4,0x00000000,0xFFFFFFFF,
  0x00000000,0x00000F25,0x00001EB4,0x00000065,0x00000000,0x00000EC3,0x00001EC4,0x00000063,
  0x00000003,0x00003E50,0x00001EE8,0x00000001,0xFFFFFFFF,0x00000000,0x00000F25,0x00001EE8,
  0x00000065,0x00000000,0x00000E20,0x00001EF8,0x00000060,0x00000001,0x00003E71,0x00001F34,
  0x00000000,0x00000D5C,0x00001F14,0x0000005C,0x00000000,0x00000C96,0x00001F24,0x00000056,
  0x00000000,0x00000DDE,0x00001F34,0x0000005E,0x00000002,0x00003EB2,0x00001FE0,0x00000007,
  0x00003ED3,0x00001F54,0x000004C2,0x00000001,0x00000003,0x00003F14,0x00001FA8,0x00000000,
  0xFFFFFFFF,0x00000002,0x00003F55,0x00001FA8,0x00000003,0x00003F76,0x00001F98,0x00000000,
  0x00000001,0x00000000,0x00000D3B,0x00001F98,0x0000005B,0x00000000,0x00000D9D,0x00001FA8,
  0x0000005D,0x00000003,0x00003FB7,0x00001FCC,0x00000000,0x00000001,0x00000000,0x00000D3B,
  0x00001FCC,0x0000005B,0x00000007,0x00003FF8,0x00001FE0,0x000004C3,0x00000001,0x00000002,
  0x00004039,0x0000209C,0x00000003,0x0000405A,0x00002040,0x00000000,0xFFFFFFFF,0x00000002,
  0x0000409B,0x00002040,0x00000003,0x000040BC,0x00002030,0x00000000,0x00000001,0x00000000,
  0x00000D3B,0x00002030,0x0000005B,0x00000000,0x00000DDE,0x00002040,0x0000005E,0x00000001,
  0x000040FD,0x0000209C,0x00000002,0x0000411E,0x0000208C,0x00000003,0x0000413F,0x0000207C,
  0x00000000,0x00000001,0x00000000,0x00000D3B,0x0000207C,0x0000005B,0x00000000,0x00000DDE,
  0x0000208C,0x0000005E,0x00000000,0x00000D3B,0x0000209C,0x0000005B,0x00000002,0x00004180,
  0x00002120,0x00000003,0x000041A1,0x000020CC,0x00000001,0xFFFFFFFF,0x00000000,0x00000F25,
  0x000020CC,0x00000065,0x00000003,0x000041C2,0x00002120,0x00000000,0xFFFFFFFF,0x00000002,
  0x00004203,0x00002120,0x00000000,0x00000EC3,0x000020FC,0x00000063,0x00000003,0x00004224,
  0x00002120,0x00000001,0xFFFFFFFF,0x00000000,0x00000F25,0x00002120,0x00000065,0x00000002,
  0x00004245,0x00002154,0x00000005,0x00004266,0x00002140,0x0000000D,0x0000000D,0x00000005,
  0x000042A7,0x00002154,0x0000000A,0x0000000A,0x00000000,0x00000000,0x00000000,0x00010000,
  0x00000000,0x0000000D,0x00000021,0x00000040,0x00010000,0x00000001,0x00000035,0x00000042,
  0x00000400,0x00010000,0x00000002,0x00000043,0x00000063,0x00000424,0x00010000,0x00000003,
  0x00000050,0x00000084,0x0000058C,0x00010000,0x00000004,0x00000063,0x000000A5,0x0000059C,
  0x00010000,0x00000005,0x00000075,0x000000C6,0x000005AC,0x00010000,0x00000006,0x0000007F,
  0x000000E7,0x000005BC,0x00010000,0x00000007,0x0000008B,0x00000108,0x000005CC,0x00010000,
  0x00000008,0x00000097,0x00000129,0x000005DC,0x00010000,0x00000009,0x000000A8,0x0000014A,
  0x00000618,0x00010000,0x0000000A,0x000000B9,0x0000016B,0x00000658,0x00010000,0x0000000B,
  0x000000C7,0x0000018C,0x00000744,0x00000000,0xFFFFFFFF,0x000000D5,0x000001AD,0x000007C0,
  0x00000000,0xFFFFFFFF,0x000000E8,0x000001CE,0x00000884,0x00010000,0x0000000C,0x000000F2,
  0x000001EF,0x00000894,0x00010000,0x0000000D,0x00000102,0x00000210,0x000008A4,0x00010000,
  0x0000000E,0x0000011C,0x00000231,0x00000A94,0x00010000,0x0000000F,0x00000129,0x00000252,
  0x00000B74,0x00010000,0x00000010,0x0000012F,0x00000273,0x00000B84,0x00010000,0x00000011,
  0x00000133,0x00000294,0x00000B94,0x00010000,0x00000012,0x0000013A,0x000002B5,0x00000BF4,
  0x00010000,0x00000013,0x00000144,0x000002D6,0x00000C18,0x00010000,0x00000014,0x0000014E,
  0x000002F7,0x00000C58,0x00010000,0x00000015,0x00000157,0x00000318,0x00000C68,0x00010000,
  0x00000016,0x0000015F,0x00000339,0x00000C8C,0x00010000,0x00000017,0x0000016C,0x0000035A,
  0x00000CB0,0x00010000,0x00000018,0x00000174,0x0000037B,0x00000CC0,0x00010000,0x00000019,
  0x0000017D,0x0000039C,0x00000CD0,0x00000000,0xFFFFFFFF,0x0000018B,0x000003BD,0x00000D0C,
  0x00000000,0xFFFFFFFF,0x000001A1,0x000003DE,0x00000D98,0x00000000,0xFFFFFFFF,0x000001B8,
  0x000003FF,0x00000E24,0x00000000,0xFFFFFFFF,0x000001C9,0x00000420,0x00000F34,0x00000000,
  0xFFFFFFFF,0x000001D1,0x00000441,0x00000F84,0x00000000,0xFFFFFFFF,0x000001D8,0x00000462,
  0x00000F94,0x00000000,0xFFFFFFFF,0x000001E2,0x00000483,0x00000FB8,0x00000000,0xFFFFFFFF,
  0x000001EE,0x000004C4,0x00000FE8,0x00000000,0xFFFFFFFF,0x000001F9,0x00000505,0x00001018,
  0x00000000,0xFFFFFFFF,0x000001FE,0x00000526,0x00001058,0x00000000,0xFFFFFFFF,0x0000020E,
  0x00000547,0x000010AC,0x00000000,0xFFFFFFFF,0x0000022D,0x00000568,0x000010F0,0x00000000,
  0xFFFFFFFF,0x0000024D,0x00000589,0x000011A0,0x00000000,0xFFFFFFFF,0x00000254,0x000005CA,
  0x000011F4,0x00000000,0xFFFFFFFF,0x00000260,0x000005EB,0x00001218,0x00000000,0xFFFFFFFF,
  0x0000026E,0x0000060C,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x0000027C,0x0000064D,0x000012AC,
  0x00000000,0xFFFFFFFF,0x00000287,0x0000066E,0x00001308,0x00000000,0xFFFFFFFF,0x00000291,
  0x0000068F,0x00001318,0x00000000,0xFFFFFFFF,0x0000029B,0x000006B0,0x00001328,0x00000000,
  0xFFFFFFFF,0x000002AB,0x000006D1,0x00001364,0x00000000,0xFFFFFFFF,0x000002BA,0x000006F2,
  0x000013BC,0x00010000,0x0000001A,0x000002C1,0x00000713,0x000013DC,0x00010000,0x0000001B,
  0x000002CB,0x00000734,0x000013EC,0x00000000,0xFFFFFFFF,0x000002DA,0x00000755,0x00001444,
  0x00010000,0x0000001C,0x000002E6,0x00000776,0x00001458,0x00000000,0xFFFFFFFF,0x000002F5,
  0x00000797,0x000014DC,0x00000000,0xFFFFFFFF,0x000002FA,0x000007D8,0x0000153C,0x00010000,
  0x0000001D,0x00000307,0x000007F9,0x0000157C,0x00000000,0xFFFFFFFF,0x00000316,0x0000081A,
  0x000015D4,0x00010000,0x0000001E,0x00000322,0x0000083B,0x000015E8,0x00000000,0xFFFFFFFF,
  0x0000032F,0x0000085C,0x00001648,0x00000000,0xFFFFFFFF,0x00000334,0x0000087D,0x00001658,
  0x00000000,0xFFFFFFFF,0x00000340,0x0000089E,0x00001678,0x00000000,0xFFFFFFFF,0x0000034E,
  0x000008BF,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x00000359,0x00000900,0x00001698,0x00000000,
  0xFFFFFFFF,0x0000035F,0x00000921,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x00000378,0x00000962,
  0x000016BC,0x00010000,0x0000001F,0x00000386,0x00000983,0x000016E4,0x00000000,0xFFFFFFFF,
  0x00000390,0x000009A4,0x00001708,0x00010000,0x00000020,0x0000039F,0x000009C5,0x00001768,
  0x00010000,0x00000021,0x000003AC,0x000009E6,0x000017C8,0x00000000,0xFFFFFFFF,0x000003B7,
  0x00000A07,0x00001838,0x00010000,0x00000022,0x000003C9,0x00000A28,0x00001878,0x00010000,
  0x00000023,0x000003D7,0x00000A49,0x00001898,0x00000000,0xFFFFFFFF,0x000003E2,0x00000A6A,
  0x000018D8,0x00000000,0xFFFFFFFF,0x000003ED,0x00000A8B,0x00001914,0x00000000,0xFFFFFFFF,
  0x000003F4,0x00000AAC,0x00001950,0x00000000,0xFFFFFFFF,0x00000405,0x00000ACD,0x00001A44,
  0x00000000,0xFFFFFFFF,0x0000040E,0x00000B0E,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x0000041E,
  0x00000B4F,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x00000437,0x00000B90,0x00001A70,0x00000000,
  0xFFFFFFFF,0x0000043C,0x00000BB1,0x00001AE8,0x00000000,0xFFFFFFFF,0x00000445,0x00000BD2,
  0x00001B4C,0x00000000,0xFFFFFFFF,0x00000454,0x00000BF3,0xFFFFFFFF,0x00000000,0xFFFFFFFF,
  0x0000045A,0x00000C34,0x00001BD4,0x00000000,0xFFFFFFFF,0x00000463,0x00000C75,0x00001C00,
  0x00000000,0xFFFFFFFF,0x00000471,0x00000C96,0x00001CEC,0x00000000,0xFFFFFFFF,0x0000047E,
  0x00000CB7,0x00001D38,0x00000000,0xFFFFFFFF,0x00000486,0x00000CD8,0x00001D6C,0x00000000,
  0xFFFFFFFF,0x00000496,0x00000CF9,0x00001DCC,0x00000000,0xFFFFFFFF,0x000004A2,0x00000D1A,
  0x00001E2C,0x00000000,0xFFFFFFFF,0x000004A7,0x00000D3B,0x00001E58,0x00000000,0xFFFFFFFF,
  0x000004AB,0x00000D5C,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x000004B1,0x00000D9D,0x00001EF8,
  0x00000000,0xFFFFFFFF,0x000004BA,0x00000DDE,0x00001F34,0x00000000,0xFFFFFFFF,0x000004C4,
  0x00000DFF,0x00001FE0,0x00000000,0xFFFFFFFF,0x000004C9,0x00000E20,0x0000209C,0x00000000,
  0xFFFFFFFF,0x000004D1,0x00000E41,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x000004D9,0x00000E82,
  0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x000004E0,0x00000EC3,0x00002120,0x00000000,0xFFFFFFFF,
  0x000004EB,0x00000EE4,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x000004F7,0x00000F25,0xFFFFFFFF,
  0x00000000,0xFFFFFFFF,0x00000502,0x00000F66,0xFFFFFFFF,0x00000000,0xFFFFFFFF,0x00000001,
  0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,
  0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000000,0x00000000,0x00010000,
  0x00000000,0x00000FFC,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,
  0xF8000000,0xFFFFFFFF,0xFFFFFFFF,0xFDFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFBFFFFFF,
  0xFFFF6FF9,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0xFF6FF9FB,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0x0001FBFF,0xFFF80000,0xFFFFFFFF,0xFFFFFFFF,0x0003FFFF,0x00000000,0x00000000,0x00000000,
  0xF9000000,0xFFFFFFEF,0xFEBFFFF7,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0xFBFFFFFF,0xFFFF6FF9,0xBFFFF3FF,0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0xFFFFFFFF,0x000001FB,0xFDB3E800,0xFFFFF80F,0xFFFFFF1F,0x000001FF,0x00000000,0x00000000,
  0x00000000,0x00010000,0xB3E80000,0xFFF80FFD,0xFFFF1FFF,0x0001FFFF,0x00000000,0x00000000,
  0x00000000,0x01000000,0x00000000,0x000FFC00,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000001,0x0FF80000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000100,0xF8000000,0x0000000F,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,0x00300000,0x00000084,0x00000000,
  0x00000000,0x00000000,0x01000000,0xE8000000,0xF80FFDB3,0xFF1FFFFF,0x01FFFFFF,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000000,0x00008000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000100,0xFDB3E800,0xFFFFF80F,0xFFFFFF1F,0x000001FF,
  0x00000000,0x00000000,0x00000000,0x00010000,0xB3E80000,0xFFF80FFD,0xFFFF1FFF,0x0001FFFF,
  0x00000000,0x00000000,0x00000000,0x01000000,0xE8000000,0xF80FFDB3,0xFF1FFFFF,0x01FFFFFF,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x0FFDB3E8,0x1FFFFFF8,0xFFFFFFFF,
  0x00000001,0x00000000,0x00000000,0x00000000,0x00000100,0xFC000000,0x0000000F,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x00000FF8,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0xF8000000,0xFFFFFFFF,0xFFFFFFFF,
  0xFDFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFBFFFFFF,0x00000001,0x0FFC0000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0xFC000000,0x0000000F,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0xB3E80000,0xFFF80FFD,
  0xFFFF1FFF,0x0001FFFF,0x00000000,0x00000000,0x00000000,0x01000000,0xE8000000,0xF80FFDB3,
  0xFF1FFFFF,0x01FFFFFF,0x00000000,0x00000000,0x00000000,0x00000000,0xFFFFEFF9,0xBFFFF7FF,
  0xFFFFFFFE,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x008801FB,0xFEB7FC00,
  0xFFFFFA8F,0xFFFFFF1F,0x000001FF,0x00000000,0x00000000,0x00000000,0x6FF90000,0xF3FFFFFF,
  0xFFFEBFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xF9FBFFFF,0xFFFFFF6F,
  0xFEBFFFF3,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFBFFFFFF,0x00000001,
  0x0FFC2000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,
  0xFDB3E800,0xFFFFF80F,0xFFFFFF1F,0x000001FF,0x00000000,0x00000000,0x00000000,0x00010000,
  0x00000000,0x00000FFC,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02000000,
  0x00000000,0x00000000,0xF8000000,0x00003FFF,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000002,0x00000000,0x00000000,0x003FFFF8,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000100,0xF8000000,0x0000000F,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00010000,0x00000000,0x00000FF8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x01000000,0x00000000,0x000FFC00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000001,0x00000000,0x00000000,0x00840030,0x00000000,0x00000000,0x00000000,
  0x00000000,0x55555600,0x55555555,0x55555555,0x7FFFFF57,0xFFFFF555,0xFFFFFFFF,0xFFFFF555,
  0xFFFFFFFF,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x00010555,0x20000000,0xFFF80FFE,0xFFF81FFF,0x00001FFF,0x00000000,0x00000000,
  0x00000000,0x01000000,0x00000000,0xF80FFE20,0xF81FFFFF,0x001FFFFF,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000002,0x00000000,0x02000000,0x002AAAAA,0xAAAAAAA0,0x00AAAAAA,
  0xAAAAAAA0,0x00AAAAAA,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000100,0xFDB3E800,0xFFFFF80F,0xFFFFFF1F,0x000001FF,0x00000000,
  0x00000000,0x00000000,0x00010000,0xB3E80000,0xFFF80FFD,0xFFFF1FFF,0x0001FFFF,0x00000000,
  0x00000000,0x00000000,0xF9000000,0xFFFFFF6F,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFBFFFFFF,0x00000001,0x0FFDB3E8,0x1FFFFFF8,0xFFFFFFFF,0x00000001,
  0x00000000,0x00000000,0x00000000,0x00000100,0xFDB3E800,0xFFFFF80F,0xFFFFFF1F,0x000001FF,
  0x00000000,0x00000000,0x00000000,0x00010000,0x80000000,0xFFF80FFD,0xFFF81FFF,0x00001FFF,
  0x00000000,0x00000000,0x00000000,0x01000000,0xF8000000,0xFFFFFFFF,0xFFFFFFFF,0xFDFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFBFFFFFF,0x00000001,0x00000000,0x00000800,0x00000800,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0x00000000,0x00080000,0x00080000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x00000010,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x02000000,0x00000000,0x00000000,0xF8000000,
  0x00003FFF,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x0FF80000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0x00000000,0x00080000,
  0x00080000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x08000000,
  0x08000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,
  0x00000001,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0xFFFF6FF9,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFF6FF9FB,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x0001FBFF,0xFFF80000,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFDFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x02FBFFFF,0x00000000,
  0x20000000,0xA8A282AA,0xA0002AAA,0xAAAAAAAA,0xAA80AAAA,0xAAAAAAAA,0x00AAAAAA,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,
  0x0FFDB3E8,0x1FFFFFF8,0xFFFFFFFF,0x00000001,0x00000000,0x00000000,0x00000000,0x2AAAA200,
  0xAAAAAA8A,0x82AAAAAA,0xAAAAAAAA,0xAAAAAA22,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,
  0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0x000102AA,
  0xFFF80000,0xFFFFFFFF,0xFFFFFFFF,0x0003FFFF,0x00000000,0x00000000,0x00000000,0x01000000,
  0x00000000,0x000FFC00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000001,0x00100000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000100,0xFC000000,0x0000000F,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00010000,0x00000000,0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x01000000,0x00000000,0x00000000,0x00000001,0x00000001,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000001,0x1FFD0000,0x000001F8,0x000001F8,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00880100,0xFEB7FC00,0xFFFFFA8F,0xFFFFFF1F,0x000001FF,0x00000000,0x00000000,
  0x00000000,0x88010000,0xB7FC0000,0xFFFA8FFE,0xFFFF1FFF,0x0001FFFF,0x00000000,0x00000000,
  0x00000000,0x01000000,0xEC000088,0xFA8FFEB7,0xFF3FFFFF,0x01FFFFFF,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00008801,0x00000404,0x20000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x0AAAA200,0xAAAAAA8A,0xAAAAA2AA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,
  0xAAAAAA8C,0xAAAAAAAA,0x000002AA,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0xAAA20000,0xAAAA8A0A,0xAAA2AAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,
  0xAAAA80AA,0xAAAAAAAA,0x0002AAAA,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x02000000,0x00000000,0x20000000,0xAA2282AA,0xA2202AAA,0xAAAAAAAA,
  0xAA80AAAA,0xAAAAAAAA,0x00AAAAAA,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00008801,0x8FFEB7EC,0x1FFFFFFA,0xFFFFFFFF,0x00000001,
  0x00000000,0x00000000,0x00000000,0x00880100,0xFEB7EC00,0xFFFFFA8F,0xFFFFFF1F,0x000001FF,
  0x00000000,0x00000000,0x00000000,0x00010000,0xB3E80000,0xFFFA8FFE,0xFFFF1FFF,0x0001FFFF,
  0x00000000,0x00000000,0x00000000,0xA2000000,0xAA8A0AAA,0x22AAAAAA,0xAAAAAAAA,0xAAAAAAAA,
  0xAAAAAAAA,0xAAA2AAAA,0xAAAAAAAA,0x02AAAAAA,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x8A0AAAA2,0xAAAAAAAA,0xAAAAAA22,0xAAAAAAAA,
  0xAAAAAAAA,0xAEAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0x00000002,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00880100,0x00041400,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,0x00004000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,0x00400000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00008801,0x8FFEB7FC,0x1FFFFFFA,
  0xFFFFFFFF,0x00000001,0x00000000,0x00000000,0x00000000,0x00880100,0xFEB7EC00,0xFFFFFA8F,
  0xFFFFFF1F,0x000001FF,0x00000000,0x00000000,0x00000000,0x88010000,0xB7FC0000,0xFFFA8FFE,
  0xFFFF1FFF,0x0001FFFF,0x00000000,0x00000000,0x00000000,0x01000000,0x04000088,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x8A0AAAA2,0xAAAAAAAA,
  0xAA82AAA2,0xAAAAAAAA,0xAAAAAAAA,0xA2AAAAAA,0xAAAAAAAA,0xAAAAAAAA,0x00000002,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0AAAA200,0xAAAAAA8A,
  0x8EAAA2AA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAE,0xAAAAAAAA,0x000002AA,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0x04000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x04000088,
  0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000801,
  0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000200,
  0x00000000,0x00000800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00020000,
  0x00000000,0x00800000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,
  0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000002,0x00000000,0x00000000,0x002AAAA8,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x20000200,0x00000000,0x00000800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00020000,0x00000000,0x00000000,0xAAA00000,0x0000002A,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x01000000,0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x55555556,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x75555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x00000105,0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000000,
  0x00000000,0x00010000,0x00000000,0x00000000,0x00000000,0x00000100,0x00000000,0x00000000,
  0x00000000,0x01000000,0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000001,0x00000000,0x00000000,0x00020000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000100,0x00000000,0x00000000,0x02000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,0x00000000,0x00000020,0x00000000,
  0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,0x00000000,0x00002000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x55555556,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55755555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x00000105,0x00000000,0x00000000,0x00080000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,0x08000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x56000000,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555575,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x05555555,0x00000001,0x00000000,0x00000000,0x00800000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0x00000000,0x00000000,0x80000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x55560000,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x75555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x01055555,0x00000000,0x00000000,0x80000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000000,
  0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,0x55555600,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555D55,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x00010555,0x00000000,0x00000000,
  0x00000000,0x00000004,0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,
  0x00000000,0x00000400,0x00000000,0x00000000,0x00000000,0x00000000,0x55555556,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555755,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x00000105,0x00000000,
  0x00000000,0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,
  0x00000000,0x00200000,0x00000000,0x00000000,0x00000000,0x00000000,0x56000000,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0xD5555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,0x00000001,
  0x00000000,0x00000000,0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,
  0x00000000,0x00000000,0x00001000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,
  0x00000000,0x00000000,0x00000000,0x00000040,0x00000000,0x00000000,0x00000000,0x01000000,
  0x00000000,0x00000000,0x00000000,0x00004000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000001,0x00000000,0x00000000,0x00400000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x55555600,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555557,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x00010555,0x00000000,0x00000000,0x20000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x01000000,0x00000000,0x00000000,0x00000000,0x00000020,0x00000000,0x00000000,0x00000000,
  0x00000000,0x55555556,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555575,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x00000105,0x00000000,0x00000000,0x00000800,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00010000,0x00000000,0x00000000,0x00080000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x01000000,0x00000000,0x000FFC00,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000001,0xFFFFFFF8,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFD,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0x000001FB,0xFDB3E800,0xFFFFF80F,0xFFFFFF1F,0x000001FF,0x00000000,
  0x00000000,0x00000000,0x00010000,0x00000000,0x08000000,0x08000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,0x00000008,0x00000008,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000001,0x0FFDB3E8,0x1FFFFFF8,0xFFFFFFFF,0x00000001,
  0x00000000,0x00000000,0x00000000,0x00000100,0xFFFFF800,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFDFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x0001FBFF,0xB3E80000,0xFFF80FFD,0xFFFF1FFF,0x0001FFFF,
  0x00000000,0x00000000,0x00000000,0x01000000,0xE8000000,0xF80FFDB3,0xFF1FFFFF,0x01FFFFFF,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000002,0x00000000,0x00000000,0x00800000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0xFC000000,0x0000000F,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x55560000,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55D55555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x01055555,0x00000000,0x00000000,0x00000000,
  0x00001000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000002,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000080,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000200,0x00000000,0x00000000,
  0x00000000,0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55560000,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x555555D5,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x01055555,0x00000000,0x00000000,
  0x00000000,0x00100000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000002,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000200,0x00000000,
  0x00000000,0x00000000,0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,
  0x00000FF8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x04000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,
  0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,
  0xF8000000,0x0000000F,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55560000,
  0x55555555,0x55555555,0x55556555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x56055555,
  0x55555555,0x5D555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,
  0x00000001,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x55555600,0x55555555,0x55555555,0x55555565,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x00010555,0x00000000,0x00000000,0x80000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x01000000,0x00000000,0x00000000,0x00000000,0x00000080,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000001,0x00000000,0x00000000,0x00008000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x55555600,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x75555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x00010555,0x00000000,0x00000000,0x08000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x01000000,0x00000000,0x00000000,0x00000000,0x00000008,0x00000000,0x00000000,
  0x00000000,0x00000000,0x55555556,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555755,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x00000105,0x00000000,0x00000000,0x00002000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,0x00200000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x56000000,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0xD5555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x05555555,0x00000001,0x00000000,0x00000000,0x00000010,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000100,0x00000000,0x00000000,0x00001000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x55560000,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555755,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x01055555,0x00000000,0x00000000,0x00000000,0x00000020,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000000,0x00002000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x55555600,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55557555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x00010555,0x00000000,0x00000000,0x00080000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,0x08000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x0FFDB3E8,0x1FFFFFF8,
  0xFFFFFFFF,0x00000001,0x00000000,0x00000000,0x00000000,0x55555600,0x55555555,0x55555555,
  0x55555755,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x00010555,0x00000000,0x00000002,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02000000,0x00000000,0x00000000,
  0x02000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x00000004,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0x00000400,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,0xB3E80000,
  0xFFF80FFD,0xFFFF1FFF,0x0001FFFF,0x00000000,0x00000000,0x00000000,0x56000000,0x55555555,
  0x55555555,0x57555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,0x00000001,
  0x00020000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000200,
  0x00000000,0x00000000,0x00000200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00010000,
  0x00000000,0x00000FFC,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,
  0x00000000,0x000FF800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x55555556,0x55555555,0x55555555,0x557FFFFD,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x00000105,0xFC000000,0x0000000F,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00010000,0x00000000,0x00000FFC,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0xF9000000,0xFFFFFFEF,0xFEBFFFF7,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0xFBFFFFFF,0x00008801,0x8FFEB7FC,0x1FFFFFFA,0xFFFFFFFF,0x00000001,0x00000000,0x00000000,
  0x00000000,0x00000100,0x00000400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00020000,0x00000000,0x00000000,0x00000008,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0xF9000000,0xFFFFFF6F,0xFEBFFFF3,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0xFFFFFFFF,0xFBFFFFFF,0x00000002,0x00000000,0x00200000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0xFF6FF900,0xFFF3FFFF,0xFFFFFEBF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0x6FF9FBFF,0xF3FFFFFF,0xFFFEBFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0x01FBFFFF,0x04000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000002,0x00000000,0x00000000,0x08000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000200,0x00000000,0x00000000,0x00000000,0x00000080,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x6FF90000,0xF3FFFFFF,0xFFFEBFFF,0xFFFFFFFF,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x01FBFFFF,0x00000000,0x000FFC20,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x55555556,0x55555555,0x5555555D,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x00000205,0x00000000,0x08000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x6FF90000,0xF3FFFFFF,0xFFFEBFFF,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x02FBFFFF,0x00000000,0x00000000,0x00002000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xFFFF6FF9,0xBFFFF3FF,0xFFFFFFFE,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFF6FF9FB,0xFFF3FFFF,0xFFFFFEBF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x0002FBFF,0x00000000,0x00000000,
  0x00000000,0x00000800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02000000,0x00000000,0x00000000,
  0x00000000,0x00800000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x0FFC2000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555600,0x55555555,
  0x55555555,0x55555556,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x00010555,0x80040000,
  0x00000FFC,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02000000,0x00000000,
  0x08000000,0xA8200000,0x00002AAA,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,
  0x0FFC0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000200,
  0x00000000,0x00000000,0x3FFFF800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00020000,
  0x00000000,0x00000000,0x00080000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02000000,
  0x00000000,0x00000000,0xF8000000,0x00003FFF,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000002,0x00000000,0x00000000,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000100,0xF8000000,0x0000000F,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00010000,0x00000000,0x00000FFC,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x01000000,0x00000000,0x000FF800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x55555556,0x55555555,0x55555555,0x557FFFFD,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555605,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x59595555,
  0x55565565,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x00010555,0x00000000,0x00000FFC,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x01000000,0x00000000,0x000FFC00,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x55555556,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x65595955,0x55555655,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x00000105,0x00000000,0x00000000,0x84003000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,0x00000000,0x00000004,0x00000000,
  0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,0x20000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000000,0x00000020,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000100,0x00000000,0x00000000,0x00001000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,0x00100000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,0x00000000,0x00008000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000000,0x00800000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x55555600,0x55555555,0x55555555,0x7FFFFF57,
  0xFFFFF555,0xFFFFFFFF,0xFFFFF555,0xFFFFFFFF,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55560555,0x55555555,0x55555555,0xFFFF5755,
  0xFFF5557F,0xFFFFFFFF,0xFFF555FF,0xFFFFFFFF,0x555555FF,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x56055555,0x55555555,0x55555555,0xFF575555,
  0xF5557FFF,0xFFFFFFFF,0xF555FFFF,0xFFFFFFFF,0x5555FFFF,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,0x00000001,0x0FFE2000,0x1FFFFFF8,
  0x1FFFFFF8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0xFE200000,0xFFFFF80F,
  0xFFFFF81F,0x0000001F,0x00000000,0x00000000,0x00000000,0x00010000,0x20000000,0xFFF80FFE,
  0xFFF81FFF,0x00001FFF,0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,0xF80FFE20,
  0xF81FFFFF,0x001FFFFF,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x80000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0xFE200000,
  0xFFFFF80F,0xFFFFF81F,0x0000001F,0x00000000,0x00000000,0x00000000,0x00010000,0x20000000,
  0xFFF80FFE,0xFFF81FFF,0x00001FFF,0x00000000,0x00000000,0x00000000,0x02000000,0x00000000,
  0x00000000,0x00000000,0x00200000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,
  0x0FFDB3E8,0x1FFFFFF8,0xFFFFFFFF,0x00000001,0x00000000,0x00000000,0x00000000,0x00000100,
  0xFDB3E800,0xFFFFF80F,0xFFFFFF1F,0x000001FF,0x00000000,0x00000000,0x00000000,0x00020000,
  0x00000000,0x00000000,0x00000000,0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,
  0xE8000000,0xF80FFDB3,0xFF1FFFFF,0x01FFFFFF,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000001,0x0FFDB3E8,0x1FFFFFF8,0xFFFFFFFF,0x00000001,0x00000000,0x00000000,0x00000000,
  0x00000100,0xFFFFF800,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFDFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,
  0x0001FBFF,0x80000000,0xFFF80FFD,0xFFF81FFF,0x00001FFF,0x00000000,0x00000000,0x00000000,
  0x02000000,0x00000000,0x00000000,0xA8A00000,0xA0002AAA,0xAAAAAAAA,0xA000AAAA,0xAAAAAAAA,
  0x0000AAAA,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000001,0x00000000,0x00000800,0x00000800,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000100,0xFC000000,0x0000000F,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00010000,0x00000000,0x08000000,0x08000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x01000000,0x00000000,0x00001000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000002,0x00000000,0x00000000,0x00000002,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x55555600,0x55555555,0x55555555,0x55555755,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x00010555,0x00000000,0x00000002,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x02000000,0x00000000,0x00000000,0x02000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000002,0x00000000,0x00000000,0x003FFFF8,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000100,0xF8000000,0x0000000F,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x55560000,0x55555555,0x55555555,0xFFFD5555,0x5555557F,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x02055555,0x00000000,0x00000000,0x08000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x0FF80000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x55555600,0x55555555,0x55555555,0x7FFFFD55,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x00010555,0x00000000,0x08000000,0x08000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,0xF81FFD00,0xF8000001,
  0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000800,
  0x00000800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0x00000000,0x00010000,
  0x00010000,0x00000000,0x00000000,0x00000000,0x00000000,0x55560000,0x55555555,0x55555555,
  0x55575555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x01055555,0x00000000,0x00000200,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000002,0x00000000,
  0x00000000,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xFF6FF900,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xAAA2FBFF,0xAAAA8A2A,
  0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,
  0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0x0102AAAA,0xF8000000,
  0xFFFFFFFF,0xFFFFFFFF,0xFDFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFBFFFFFF,0x00000002,
  0x00000000,0xAAAAAAA0,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAA8,
  0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0x00000102,
  0xFDB3E800,0xFFFFF80F,0xFFFFFF1F,0x000001FF,0x00000000,0x00000000,0x00000000,0x00010000,
  0xFFF80000,0xFFFFFFFF,0xFFFFFFFF,0x0003FFFF,0x00000000,0x00000000,0x00000000,0x02000000,
  0x00000000,0xA0000000,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0x02AAAAAA,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000001,0x0FFC0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000100,0x10000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00010000,0x00000000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x01000000,0x00000000,0x00000100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000002,0x00000000,0x80000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000100,0xFC000000,0x0000000F,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00010000,0x00000000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x01000000,0x00000000,0x00000100,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000002,0x00000000,0x80000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000100,0x10000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00010000,0x00000000,0x00000010,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x01000000,0x00000000,0x00001000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000002,0x00000000,0x00000000,0x002AA800,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000100,0x10000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00010000,0x00000000,0x00000010,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,0x00000000,0x00000001,0x00000001,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000100,0x00000100,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0xFD000000,0x0001F81F,0x0001F800,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00020000,0x00000000,0x00000000,0xAAA88000,
  0xAAA000AA,0x00000000,0xAAA00000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,0xF81FFD00,0xF8000001,
  0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000002,0x00000000,0x80000000,
  0x00AAAAA8,0x0000AAA0,0x00000000,0x0000AAA0,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00880100,0xFEB7FC00,0xFFFFFA8F,
  0xFFFFFF1F,0x000001FF,0x00000000,0x00000000,0x00000000,0x00020000,0x00000000,0x00000000,
  0x00000000,0x00080000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0xFC000088,0xFA8FFEB7,
  0xFF1FFFFF,0x01FFFFFF,0x00000000,0x00000000,0x00000000,0x00000000,0x00008801,0x8FFEB7EC,
  0x3FFFFFFA,0xFFFFFFFF,0x00000001,0x00000000,0x00000000,0x00000000,0x00880100,0x00040400,
  0x00000000,0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x55560000,0x55557575,
  0x555D5555,0x5555555D,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x02055555,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00020000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xFF7FFFF6,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xDDFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x55555557,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0xFFEFF905,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFF5F,0x000003FF,0x00000000,0x00000000,0x00000000,0x55560000,
  0x55557575,0x555D5555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x56055555,
  0x55757555,0x5D555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,
  0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x75555600,0x55555575,0x5D555D55,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0xAAA20555,0xAAAA8A0A,0xAAA2AAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAA8CAA,0xAAAAAAAA,
  0x0002AAAA,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x01000000,0xEC000088,0xFA8FFEB7,0xFF1FFFFF,0x01FFFFFF,0x00000000,0x00000000,0x00000000,
  0x00000000,0x75755556,0x55555555,0x555D555D,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x00000105,0xFEB3E800,0xFFFFFA8F,0xFFFFFF1F,0x000001FF,0x00000000,0x00000000,
  0x00000000,0x55560000,0x55557575,0x555D5555,0x5555555D,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x01055555,0xEC000088,0xFA8FFEB7,0xFF1FFFFF,0x01FFFFFF,0x00000000,0x00000000,
  0x00000000,0x00000000,0x75755556,0x55555555,0x555D555D,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x75555605,0x55555575,0x5D555D55,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x00010555,0xB3E80000,0xFFFA8FFE,0xFFFF1FFF,0x0001FFFF,0x00000000,
  0x00000000,0x00000000,0x01000000,0xE8000000,0xFA8FFEB3,0xFF1FFFFF,0x01FFFFFF,0x00000000,
  0x00000000,0x00000000,0x00000000,0x55555556,0x55555555,0xD5555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x00000105,0x01000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00020000,0x00000000,0x00000000,0x00008000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x01000000,0xE8000000,0xFA8FFEB3,0xFF1FFFFF,0x01FFFFFF,
  0x00000000,0x00000000,0x00000000,0x00000000,0x8A0AAAA2,0xAAAAAAAA,0xAAAAAA22,0xAAAAAAAA,
  0xAAAAAAAA,0xAEAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0x00000002,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00880100,0x00041400,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x55560000,0x55557575,0x555D5555,0x5555555D,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0xF6055555,0xFFFF7FFF,0x7FFFFFFF,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x57FFFFFF,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,0xFFFFEFF9,0xFFFFFFEF,0xFFFFFFFF,
  0xFFFFFFFF,0x00000003,0x00000000,0x00000000,0x00000000,0x75555600,0x55555575,0x55555D55,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55560555,0x55557575,0x555D5555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x56055555,0x55757555,0x5D555555,
  0x55555D55,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,0x00000001,0x00000000,
  0x40000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000100,0x00000000,
  0x00000000,0x00000040,0x00000000,0x00000000,0x00000000,0x00000000,0x00020000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000800,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x00000000,
  0x00000000,0x00400000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000002,
  0x00000000,0x00000000,0x00000000,0x00000000,0x08000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xAAAAAA00,
  0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0xAAAAAAAA,0x000002AA,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88010000,
  0xB7FC0000,0xFFFA8FFE,0xFFFF1FFF,0x0001FFFF,0x00000000,0x00000000,0x00000000,0x56000000,
  0x55555555,0x55555555,0x55D55555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,
  0x00000001,0x00010000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000200,0x00000000,0x00000000,0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x88010000,0xB7EC0000,0xFFFA8FFE,0xFFFF1FFF,0x0001FFFF,0x00000000,0x00000000,0x00000000,
  0x56000000,0x55555555,0x55555555,0x55D55555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x05555555,0x00000001,0x00010000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000200,0x00000000,0x00000000,0x00000080,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x88010000,0xB7FC0000,0xFFFA8FFE,0xFFFF1FFF,0x0001FFFF,0x00000000,0x00000000,
  0x00000000,0x01000000,0x04000088,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00008801,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x75555600,0x55555575,0x55555D55,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x88010555,0x00040000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x56000000,0x55557555,0x5D555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x05555555,0x00000801,0x00000004,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x0AAAA200,0xAAAAAA8A,0x8EAAA2AA,0xAAAAAAAA,0xAAAAAAAA,
  0xAAAAAAAA,0xAAAAAAAE,0xAAAAAAAA,0x000002AA,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00010000,0x04000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x02000000,0x00000000,0x00000000,0x00000800,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0xFF7FFFF6,0xFFFFFFFF,0xFFDFFFFF,0xFFFFFFFF,
  0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0xFFFFFFFF,0x55555557,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0xFFEFF905,0xFFF7FFFF,0xFFFFFFFF,0xFFFFFFFF,
  0x000003FF,0x00000000,0x00000000,0x00000000,0x55560000,0x55557575,0x555D5555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x56055555,0x55757555,0x5D555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,0x00000002,0x00000000,0x00200000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00880100,0x00040400,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55560000,0x55557575,0x555D5555,
  0x5555555D,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x01055555,0x04000088,0x00000004,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x75755556,0x55555555,
  0x5555555D,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x00880105,0x00040400,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88010000,0x04040000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x56000000,0x55757555,
  0x5D555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x05555555,0x00000801,
  0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00080100,
  0x00000400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55560000,
  0x55557555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,
  0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x55555555,0x01055555,
  0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000801,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00800100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00020000,0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x02000000,0x00008000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
  0x00000000,
};

// UNIQUELY NAMED PARSER INITIALIZATION DATA
static APG_PARSER_INIT g_sParserInit = 
{
  0,
  (void*)g_pfnCallbacks,
  (void*)g_ulaExeData
};

void* vpSDPPPTInit = (void*)&g_sParserInit;

// switch template
/*
  switch(ulState)
  {
  case SYN_PRE:
    break;
  case SYN_NOMATCH:
    break;
  case SYN_EMPTY:
    break;
  case SYN_MATCH:
    break;
  case SEM_PRE:
    break;
  case SEM_POST:
    break;
  }
*/

//{{CallBack.body
//}}CallBack.body

// call back function for rule "announcement"
static ulong pfn_announcement(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_announcement
//}}CallBack.pfn_announcement
  return ulReturn;
}

// call back function for rule "session-section"
static ulong pfn_session_section(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_session_section
//}}CallBack.pfn_session_section
  return ulReturn;
}

// call back function for rule "proto-version"
static ulong pfn_proto_version(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_proto_version
//}}CallBack.pfn_proto_version
  return ulReturn;
}

// call back function for rule "origin-field"
static ulong pfn_origin_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_origin_field
//}}CallBack.pfn_origin_field
  return ulReturn;
}

// call back function for rule "session-name-field"
static ulong pfn_session_name_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_session_name_field
//}}CallBack.pfn_session_name_field
  return ulReturn;
}

// call back function for rule "information-field"
static ulong pfn_information_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_information_field
//}}CallBack.pfn_information_field
  return ulReturn;
}

// call back function for rule "uri-field"
static ulong pfn_uri_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_uri_field
//}}CallBack.pfn_uri_field
  return ulReturn;
}

// call back function for rule "email-field"
static ulong pfn_email_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_email_field
//}}CallBack.pfn_email_field
  return ulReturn;
}

// call back function for rule "phone-field"
static ulong pfn_phone_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_phone_field
//}}CallBack.pfn_phone_field
  return ulReturn;
}

// call back function for rule "connection-field"
static ulong pfn_connection_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_connection_field
//}}CallBack.pfn_connection_field
  return ulReturn;
}

// call back function for rule "bandwidth-field"
static ulong pfn_bandwidth_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_bandwidth_field
//}}CallBack.pfn_bandwidth_field
  return ulReturn;
}

// call back function for rule "time-fields"
static ulong pfn_time_fields(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_time_fields
//}}CallBack.pfn_time_fields
  return ulReturn;
}

// call back function for rule "key-field"
static ulong pfn_key_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_key_field
//}}CallBack.pfn_key_field
  return ulReturn;
}

// call back function for rule "attribute-field"
static ulong pfn_attribute_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_attribute_field
//}}CallBack.pfn_attribute_field
  return ulReturn;
}

// call back function for rule "media-section"
static ulong pfn_media_section(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_media_section
//}}CallBack.pfn_media_section
  return ulReturn;
}

// call back function for rule "media-field"
static ulong pfn_media_field(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_media_field
//}}CallBack.pfn_media_field
  return ulReturn;
}

// call back function for rule "media"
static ulong pfn_media(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_media
//}}CallBack.pfn_media
  return ulReturn;
}

// call back function for rule "fmt"
static ulong pfn_fmt(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_fmt
//}}CallBack.pfn_fmt
  return ulReturn;
}

// call back function for rule "proto"
static ulong pfn_proto(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_proto
//}}CallBack.pfn_proto
  return ulReturn;
}

// call back function for rule "MediaPort"
static ulong pfn_MediaPort(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_MediaPort
//}}CallBack.pfn_MediaPort
  return ulReturn;
}

// call back function for rule "PortCount"
static ulong pfn_PortCount(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_PortCount
//}}CallBack.pfn_PortCount
  return ulReturn;
}

// call back function for rule "username"
static ulong pfn_username(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_username
//}}CallBack.pfn_username
  return ulReturn;
}

// call back function for rule "sess-id"
static ulong pfn_sess_id(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_sess_id
//}}CallBack.pfn_sess_id
  return ulReturn;
}

// call back function for rule "sess-version"
static ulong pfn_sess_version(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_sess_version
//}}CallBack.pfn_sess_version
  return ulReturn;
}

// call back function for rule "nettype"
static ulong pfn_nettype(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_nettype
//}}CallBack.pfn_nettype
  return ulReturn;
}

// call back function for rule "addrtype"
static ulong pfn_addrtype(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_addrtype
//}}CallBack.pfn_addrtype
  return ulReturn;
}

// call back function for rule "FQDN"
static ulong pfn_FQDN(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_FQDN
//}}CallBack.pfn_FQDN
  return ulReturn;
}

// call back function for rule "extn-addr"
static ulong pfn_extn_addr(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_extn_addr
//}}CallBack.pfn_extn_addr
  return ulReturn;
}

// call back function for rule "IPv4Type"
static ulong pfn_IPv4Type(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_IPv4Type
//}}CallBack.pfn_IPv4Type
  return ulReturn;
}

// call back function for rule "AddressCount"
static ulong pfn_AddressCount(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_AddressCount
//}}CallBack.pfn_AddressCount
  return ulReturn;
}

// call back function for rule "IPv6Type"
static ulong pfn_IPv6Type(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_IPv6Type
//}}CallBack.pfn_IPv6Type
  return ulReturn;
}

// call back function for rule "URI-reference"
static ulong pfn_URI_reference(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_URI_reference
//}}CallBack.pfn_URI_reference
  return ulReturn;
}

// call back function for rule "IPv4Multicast"
static ulong pfn_IPv4Multicast(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_IPv4Multicast
//}}CallBack.pfn_IPv4Multicast
  return ulReturn;
}

// call back function for rule "IPv4Unicast"
static ulong pfn_IPv4Unicast(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_IPv4Unicast
//}}CallBack.pfn_IPv4Unicast
  return ulReturn;
}

// call back function for rule "IPv6Multicast"
static ulong pfn_IPv6Multicast(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_IPv6Multicast
//}}CallBack.pfn_IPv6Multicast
  return ulReturn;
}

// call back function for rule "IPv6Unicast"
static ulong pfn_IPv6Unicast(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen)
{
  ulong ulReturn = PFN_OK;
//{{CallBack.pfn_IPv6Unicast
//}}CallBack.pfn_IPv6Unicast
  return ulReturn;
}

