/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    author: Lowell Thomas
            lowell@coasttocoastresearch.com
            http://www.coasttocoastresearch.com

   created: 8/27/2007 10:17
  filename: D:\Projects\Apgv5_0\Samples\SDP\Session.c
   purpose: Prints session section information using the simple
                hand-written line parser. Finds, identifies and prints
                each line of the session-section.

*********************************************************************/
#include "main.h"

// illustrates hand-coded line parser
//////////////////////////////////////////////////////////////////////////
// DESCRIPTION: Prints session section information using the simple
//              hand-written line parser. Finds, identifies and prints
//              each line of the session-section.
//
// FUNCTION: ulong ulSessionTest
//
//      ARG: 1) APG_BSTR* spBstr
//              : binary string defining the announcement
//
//      ARG: 2) void* vpMemCtx
//              : pointer to a valid memory component context
//
//      ARG: 3) void* vpParserCtx
//              : pointer to a valid parser component context
//
//   RETURN: true on success
//
//////////////////////////////////////////////////////////////////////////
ulong ulSessionTest(APG_BSTR* spAnnouncement, void* vpMemCtx, void* vpParserCtx)
{
  ulong   ulReturn = APG_FALSE;
  char    caBuf[BUFSIZE];
  LINE_ITERATOR sIter;
  LINE_NAME* spTrans;
  ulong ulTest;
  APG_BSTR sLine;
  ulong ulID;

  // iterate through all announcement lines
  ulTest = ulLinesInit(&sIter, spAnnouncement);
  SDPASSERT(ulTest);
  while(APG_TRUE)
  {
    ulTest = ulLinesNext(&sIter, &sLine, &ulID);
    SDPASSERT(ulTest);
    if(sLine.ucpStr == NULL)
    {
      // end of announcement
      break;
    }

    if(ulID == MEDIA_MEDIA)
    {
      // beginning of media section
      break;
    }

    // print all session-section lines
    spTrans = &spLinesTranslator[ulID];
    ulCatalogGetString(&sLine, caBuf);
    printf("\n");
    printf("  [%s]\n", spTrans->cpLineName);
    printf("  %s%s\n", spTrans->cpLinePrefix, caBuf);
  }
  
  
  // success
  ulReturn = APG_TRUE;
  return ulReturn;
}
