/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    author: Lowell Thomas
            lowell@coasttocoastresearch.com
            http://www.coasttocoastresearch.com

   created: 8/28/2007 9:39
  filename: D:\Projects\Apgv5_0\Samples\SIP\main.h
   purpose: Some common declarations
  
*********************************************************************/
#ifndef main_h_6_24_2007
#define main_h_6_24_2007

#include "Apg.h"
#include "ApgUtilities.h"
#include "SIPDef.h"
#include "Headers.h"
#include "SIP.h"
#include "SIPPPT.h"
#include "SIPPPTLazy.h"

#ifdef _SIP_MAIN
// define memory and error contexts in main.c only
void* vpMemCtx = NULL;
#else
// refer to memory and error contexts elsewhere
extern void* vpMemCtx;
#endif

// specialize assertion macro for this application
#define SIPASSERT(cond) UASSERT((cond), vpMemCtx, 100)
#define HDRASSERT(cond, id) UASSERT((cond), vpMemCtx, (id))

// main.c
void  vPrintSIPErrors(void* vpMemCtx);

// TortureTests.c
ulong ulTortureTestTranslator(char* cpInput, char* cpOutput);

// Messages.c
ulong ulMessages(char* cpFile, ulong ulLen, void* vpBstr);

// PreParser.c
ulong ulPreParseTest(void* vpMsgs);
ulong ulParseHeaderValues(void* vpMsgs, void* vpParserInit);
ulong ulParseSIPMsg(void* vpMsgs, void* vpParserInit);
ulong ulGetStartRule(ulong ulHdrID);

// Timing.c
ulong ulTimingTest(void* vpMsgs, ulong ulRepetitions);

// Utilities.c
ulong ulPrintChildPhrases(void* vpCatalogCtx, ulong ulStartRule);
void vPrintableBuf(uchar* ucpBuf, ulong ulLen);

#endif /* main_h_6_24_2007 */
