/*! \file HSTest.cpp
 <pre>
 <b>File:</b> HSTest.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 04/13/2008
 <b>Contents:</b> Skill testing.
 </pre>
 */ 

#include "HSTest.h"
#include "MSKneeBenting.h"
#include "MSWalk.h"
#include "MSStandUpTest.h"

HSTest::HSTest(WorldModel * _world, PlayerModel * _player, char *_skillName):HighSkill(_world, _player) {
    
    skillName = _skillName;
}

int HSTest::skillType() {
    
    return SKILL_HS_TEST;
}

int HSTest::calculate(Skill ** lowerSkill) {
    
    if (lowerSkill != NULL && *lowerSkill != NULL)
        return 1;
    
    if (strcmp(skillName, "crouch") == 0) {
        
        *lowerSkill = new MSKneeBenting(world, player);
        
    } else if (strcmp(skillName, "walk") == 0) {
        
        *lowerSkill = new MSWalk(world, player);
        
    } else if (strcmp(skillName, "standup") == 0) {
        
        *lowerSkill = new MSStandUpTest(world, player);
    }
    
    lastMS = (*lowerSkill)->skillType();
    return 1;
}
