/*! \file LSBench.cpp
 <pre>
 <b>File:</b> LSBench.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b>
 </pre>
 */

#include "LSBench.h"

LSBench::LSBench(WorldModel * _world, PlayerModel * _player, double _speedRatio):LowSkill(_world, _player) {
    
    speedRatio = _speedRatio;
}

int LSBench::skillType() {
    
    return SKILL_LS_CROUCH;
}

int LSBench::calculate(Skill ** lowerSkill) {
    
    double timeout = 10.0;
    
    SKILL_BEGIN(0)
	
	SKILL_BEGIN_PHASE(1)
        SKILL_CALCULATE(ankleL->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(ankleR->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(kneeL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(kneeR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(legL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(legR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(hipL->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(hipR->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(armL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(armR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(elbowL->moveTo(45.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(elbowR->moveTo(45.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(shoulderL->moveTo(90.0, 1.0 * speedRatio, 90.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(shoulderR->moveTo(90.0, 1.0 * speedRatio, -90.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
    SKILL_END_PHASE
	
	SKILL_BEGIN_PHASE(2)
        SKILL_TIMEOUT_RESET
	SKILL_END_PHASE_CONTINUE
	
	SKILL_BEGIN_PHASE(3)
        SKILL_CALCULATE(ankleL->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(ankleR->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(kneeL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(kneeR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(legL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(legR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(hipL->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(hipR->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(armL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(armR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(elbowL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(elbowR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(shoulderL->moveTo(90.0, 1.0 * speedRatio, 90.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(shoulderR->moveTo(90.0, 1.0 * speedRatio, -90.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
    SKILL_END_PHASE
	
	SKILL_END(4)
}
