/*! \file LSRotate.h
 <pre>
 <b>File:</b> LSRotate.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 04/13/2008
 <b>Contents:</b> Rotate skill
 </pre>
 */

#ifndef __LSROTATE_H__
#define __LSROTATE_H__

#include "Skills.h"
#include "PlayerModel.h"
#include "WorldModel.h"

class LSRotate: public LowSkill {
    
private:
    
	float angle, speed, precision;
	float gyro;
    
public:
    
	LSRotate(WorldModel * _world, PlayerModel * _player, float _angle, float _speed, float _precision);
    
	int skillType();
	int calculate(Skill **lowerSkill);
};

#endif /*__LSROTATE_H__*/

