/*! \file Gyroscope.h
 <pre>
 <b>File:</b> Gyroscope.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b> This class represents Gyroscope.
 </pre>
 */

#ifndef __GYROSCOPE_H__
#define __GYROSCOPE_H__

#include "CoordCartesian.h"

/*
 Implementation of Gyroscope
 */
class Gyroscope {
	
public:
    
	CoordCartesian relative;	/*!< Relative (change from last time) coordinations */
	CoordCartesian absolute;	/*!< Absolute (exact) coordinations */
	
	Gyroscope();
	~Gyroscope();
    
	/*!< Updates gyroscope in playermodel */
	void update(CoordCartesian _absolute, double _timestamp);
};

#endif /*__GYROSCOPE_H__*/
